*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"


cap program drop initial
program define initial
u "$dir_inter/original_data/main_data_final.dta", replace

*creates  vars
local group gdelt gdelt_opd acled acled_opd scad scad_opd gdelt_prec acled_prec scad_prec
foreach c of local group{
gen `c'_pc=(`c'/pop_ip)*100000
replace `c'_pc=. if gdelt_pc==.
gen ln_`c'_pc=ln(1+`c'_pc)
}

g ln_pop_ip=log(pop_ip)

*dummies for relevant variables
cap drop dcoast
gen dcoast=(coastdist==0)
local group mines diam
foreach c of local group{
gen d`c'=(`c'>0)
replace d`c'=. if `c'==.
}


*key interactions
g covgdp_wb=pct_cov*gdp_g_wb
g covgdp_wb_w=pct_cov_w*gdp_g_wb
 
 
*instrument
g flash2_tv=flash2*tv
g flash2_tvgdp=flash2_tv*gdp_g_wb
************


*missing values for covariates
global vars  coastdist frst mnt mines diam dmines ddiam imr dcoast bdist2 capdist electr prim_road  
 local group $vars
foreach c of local group{
g d_`c'=`c'==.
replace `c'=-999999 if `c'==.
}


*dummy mines and diamonds enter as factor variables and have missing values. Must be positive  
replace dmines=abs(dmines)
replace ddiam=abs(ddiam)

g border=(bdist2<.25)


*night lights per capita
g nl3_mp_pc=nl3_mp/pop_ip
g ln_nl3_mp_pc=ln(nl3_mp_pc)

*defines working sample
drop if year<1998
drop if ln_gdelt_pc==. | pct_cov==. | flash2_tv==. | covgdp_wb==.


*defines macros 
global sizecontrols2="c.ln_pop_ip"
global nl="c.ln_nl3_mp_pc"
for any prec_gpcp temp_prio: replace X=ln(X)   
global climate="c.prec_gpcp c.temp_prio"   

global baseline1 border c.bdist2  c.pct_oil  c.cities c.frst d_frst c.mnt d_mnt dmines d_dmines ddiam d_ddiam c.imr d_imr
global baseline2 capital c.capdist c.coastdist c.electr d_electr c.prim_road d_prim_road 
global otherbaseline dcoast c.lat c.lon c.totarea  
global baseline $baseline1 $baseline2 $otherbaseline 

end


cap progra drop regnowA
program define regnowA
local group ln_gdelt_pc ln_acled_pc ln_scad_pc pct_cov covgdp_wb flash2_tv flash2_tvgdp
 foreach i of local group{
reghdfe `i' $xlist [aw=pop_ip] , a($xlist1 $axlist cell_id)     tol(1e-02)  residuals( r_`i'3)  
}
keep pct_cov* r_* country pop_ip cell_id year gdp_g_wb adm1 adm2
save "$dir_inter/created_data_in_dta/residuals_bycell_final.dta", replace 
end




initial

global xlist1 cow year 
global gdp="c.gdp_g_wb"

local group pct_cov  flash2_tv ln_gdelt_pc
 foreach i of local group{
reghdfe `i' $gdp [aw=pop_ip] , a($xlist1  cell_id)     tol(1e-02)  residuals( r_`i'1)  
}


reg r_pct_cov1 r_flash2_tv1   /*r_flash2_tvgdp1 r_gdp_g_wb`i'*/ [aw=pop_ip], cluster(cell_id)
predict yhat, xb



xtile  newvar1 = yhat [aw=pop_ip], nq(100)
su yhat if newvar1==25
global pct25=r(mean)
su yhat if newvar1==75
global pct75=r(mean)

g high=1 if yhat>$pct75 & yhat<.
replace high=0 if yhat<$pct25
drop if high==.
replace gdp_g_wb=. if gdp_g_wb==-999


*xi: areg ln_gdelt_pc i.year*i.cou [aw=pop_ip], a(cell_id)
*predict res, res
egen sd=sd(high), by(country year)
drop if sd==0 | sd==.
egen we=sum(pop_ip), by(year country)
*egen tot=sum(pop*gdp_g_wb/we), by(year country)

collapse we  r_ln_gdelt_pc1 r_pct_cov1 gdp_g_wb [aw=pop_ip], by(year country high) fast
sort year cou high
qui by year cou: g dr_l=r_ln-r_ln[_n-1]
qui by year cou: g dr_p=r_p-r_p[_n-1]
egen we1=sum(we), by(year high) 

collapse we1  dr*  gdp_g_wb [aw=we], by(year high) fast

label var gdp "Continental GDP growth"
label var dr_l "Differential high vs low coverage (predicted)"


twoway(tsline dr_l,clwidth(thick)lpattern(longdash) ytitle("Protests differential", axis(2)size(small))yaxis(2) ylabel(-0.08(0.02)0.12,  labsize(small) axis(2)))/*
*/(tsline gdp_g_wb,clwidth(vthick)lpattern(shortdash) ytitle("GDP growth",size(small) )xtitle(Year) ylabel(0.02(0.04)0.1, labsize(small)) xlabel(1998 2003 2008 2012, labsize(small))/*
*/ legend(rows(2)order(2 1)size(small)symx(*1.5) position(7) region(lwidth(none) fcolor(gs15))) xtitle(Year,size(small))), scheme(sj)
graph export "${dir_inter}/figures/f4.png", replace
