
******


*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"



cap program drop initial1
program define initial1
u "$dir_inter\original_data\data_f5.dta", replace


*defines macros 
global sizecontrols2="c.ln_pop_ip"
global nl="c.ln_nl3_mp_pc"
for any prec_gpcp temp_prio: replace X=ln(X)   
global climate="c.prec_gpcp c.temp_prio"   

global baseline1 border c.bdist2  c.pct_oil  c.cities c.frst d_frst c.mnt d_mnt dmines d_dmines ddiam d_ddiam c.imr d_imr
global baseline2 capital c.capdist c.coastdist c.electr d_electr c.prim_road d_prim_road 
global otherbaseline dcoast c.lat c.lon c.totarea  
global baseline $baseline1 $baseline2 $otherbaseline 


egen grcountry=group(country)
end


initial1

*3. + baseline X trend  (plus time varying vars)
global spec=3
global xlist=""
global xlist1 cow##year 
cap drop tmp
global axlist c.year##adm1
local group $baseline
foreach i of local group{
global xlist  $xlist c.year#`i' 
}
global xlist  $xlist $sizecontrols2 $nl $climate 
 




local group  flash2_tv flash2_tvgdp ln_gdelt_pc_wins99 
foreach i of local group{
qui reghdfe `i' $xlist  [aw=pop_ip], a($xlist1 $axlist cell_id)     tol(1e-02)  residuals( r_`i')  
}




******************************
*3YEARS INTERVALS
******************************

cap drop *aux* newyear
g newyear=1991 if year<=1993
replace newyear=1994 if year>=1994 & year<=1997
replace newyear=1997 if year>=1998 & year<=2000
replace newyear=2002 if year>=2001 & year<=2003
replace newyear=2005 if year>=2004 & year<=2006
replace newyear=2008 if year>=2007 & year<=2009
replace newyear=2011 if year>=2010 & year<=2012

tab newyear,g(aux)
su aux*
forvalues i=1(1)7{
foreach x in flash2{
g r_`x'_tvgdp_aux`i'=r_`x'_tvgdp*aux`i'
g r_`x'_tv_aux`i'=r_`x'_tv*aux`i'
}
}
tab year newy

foreach x in flash2{
lab var r_`x'_tvgdp_aux1 "1990/93"
lab var r_`x'_tvgdp_aux2 "1994/97"
la var r_`x'_tvgdp_aux3 "1998/00"
la var r_`x'_tvgdp_aux4 "2001/03"
la var r_`x'_tvgdp_aux5 "2004/06"
la var r_`x'_tvgdp_aux6 "2007/09"
la var r_`x'_tvgdp_aux7 "2010/12"
}

foreach x in flash2{
lab var r_`x'_tv_aux1 "1990/93"
lab var r_`x'_tv_aux2 "1994/97"
la var r_`x'_tv_aux3 "1998/00"
la var r_`x'_tv_aux4 "2001/03"
la var r_`x'_tv_aux5 "2004/06"
la var r_`x'_tv_aux6 "2007/09"
la var r_`x'_tv_aux7 "2010/12"
}

reg r_ln_gdelt_pc_wins99 r_flash2_tvgdp_a* r_flash2_tv_a* aux* [aw=pop_ip], cluster(country)

*PANEL B FIGURE 5
coefplot, keep(r_flash2_tvgdp_aux1 r_flash2_tvgdp_aux2 r_flash2_tvgdp_aux3 r_flash2_tvgdp_aux4 r_flash2_tvgdp_aux5 r_flash2_tvgdp_aux6 r_flash2_tvgdp_aux7)/*
*/ yline(0) ci(90) ylabel(-.05(.05).1) xlabel(,labsize(small)) vertical scheme(sj) fysize(65) c(l)

graph save "${dir_inter}/figures/f5B.gph",replace
graph export "${dir_inter}/figures/f5B.png", replace



******************************************************
*CONTINENTAL GROWTH IN COVERAGE 
******************************************************

g cpc=0 if year<=1995
replace cpc=0.0307 if year==1996
replace cpc=0.0615 if year==1997
replace cpc=0.09227 if year==1998
replace cpc=0.12157 if year==1999
replace cpc=0.23897 if year==2000
replace cpc=0.28174 if year==2001
replace cpc=0.296164 if year==2002
replace cpc=0.35465 if year==2003
replace cpc=0.40747 if year==2004
replace cpc=0.46399 if year==2005
replace cpc=0.52101 if year==2006
replace cpc=0.5192 if year==2007
replace cpc=0.53574 if year==2008
replace cpc=0.57364 if year==2009
replace cpc=0.59482 if year==2010
replace cpc=0.61610 if year==2011
replace cpc=0.63097 if year==2012


*alternative way of presenting coverage more clean 
g year1=year>=1990 & year<=1993
g year2=year>=1994 & year<=1997
g year3=year>=1998 & year<=2000
g year4=year>=2001 & year<=2003
g year5=year>=2004 & year<=2006
g year6=year>=2007 & year<=2010
g year7=year>=2011 & year<=2012

g newyear1=.
global i=1
while $i<=7{
replace newyear1=$i if year$i==1
global i=$i+1
}

preserve
collapse cpc year1-year7, by(newyear1)
lab var year1 "1990/93"
lab var year2 "1994/97"
la var year3 "1998/00"
la var year4 "2001/03"
la var year5 "2004/06"
la var year6 "2007/09"
la var year7 "2010/12"
reg cpc year1-year7, nocons
coefplot, keep(year1 year2 year3 year4 year5 year6 year7 )/*
*/ yline(0) ci(90) ylabel(0(.2).8) xlabel(,labsize(small)) vertical scheme(sj) fysize(65) c(l)
graph save "${dir_inter}/figures/f5A.gph",replace
graph export "${dir_inter}/figures/f5A.png", replace
restore




!rm "${dir_inter}/figures/f5A.gph" 
!rm "${dir_inter}/figures/f5B.gph" 



