*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"



cap program drop initial
program define initial
u "$dir_inter/original_data/main_data_final.dta", replace

*creates  vars
local group gdelt gdelt_opd acled acled_opd scad scad_opd gdelt_prec acled_prec scad_prec
foreach c of local group{
gen `c'_pc=(`c'/pop_ip)*100000
replace `c'_pc=. if gdelt_pc==.
gen ln_`c'_pc=ln(1+`c'_pc)
}

g ln_pop_ip=log(pop_ip)

*dummies for relevant variables
cap drop dcoast
gen dcoast=(coastdist==0)
local group mines diam
foreach c of local group{
gen d`c'=(`c'>0)
replace d`c'=. if `c'==.
}


*key interactions
g covgdp_wb=pct_cov*gdp_g_wb
g covgdp_wb_w=pct_cov_w*gdp_g_wb
 
 
*instrument
g flash2_tv=flash2*tv
g flash2_tvgdp=flash2_tv*gdp_g_wb
************


*missing values for covariates
global vars  coastdist frst mnt mines diam dmines ddiam imr dcoast bdist2 capdist electr prim_road  
 local group $vars
foreach c of local group{
g d_`c'=`c'==.
replace `c'=-999999 if `c'==.
}


*dummy mines and diamonds enter as factor variables and have missing values. Must be positive  
replace dmines=abs(dmines)
replace ddiam=abs(ddiam)

g border=(bdist2<.25)


*night lights per capita
g nl3_mp_pc=nl3_mp/pop_ip
g ln_nl3_mp_pc=ln(nl3_mp_pc)

*defines working sample
drop if year<1998
drop if ln_gdelt_pc==. | pct_cov==. | flash2_tv==. | covgdp_wb==.


*defines macros 
global sizecontrols2="c.ln_pop_ip"
global nl="c.ln_nl3_mp_pc"
for any prec_gpcp temp_prio: replace X=ln(X)   
global climate="c.prec_gpcp c.temp_prio"   

global baseline1 border c.bdist2  c.pct_oil  c.cities c.frst d_frst c.mnt d_mnt dmines d_dmines ddiam d_ddiam c.imr d_imr
global baseline2 capital c.capdist c.coastdist c.electr d_electr c.prim_road d_prim_road 
global otherbaseline dcoast c.lat c.lon c.totarea  
global baseline $baseline1 $baseline2 $otherbaseline 

egen grcountry=group(country)
replace country="Cape-Verde" if cou=="Cape Verde"
replace country="South-Africa" if cou=="South Africa"
replace country="Guinea-Bissau" if cou=="Guinea Bissau"
replace country="Eq-Guinea" if cou=="Equatorial Guinea"
replace country="Ivory-Coast" if cou=="Ivory Coast"
replace country="Burkina-Faso" if cou=="Burkina Faso"
replace country="Sierra-Leone" if cou=="Sierra Leone"
replace country="Tanzania" if country=="United Republic of Tanzania"
replace country="CAR" if country=="Central African Republic"
replace country="DRC" if country=="Congo (Kinshasa)"
replace country="Congo" if country=="Congo (Brazzaville)"
end

******************************************************************************************************************
*0) TIME SERIES COUNTRY  COVERAGE by country
******************************************************************************************************************


initial
preserve
drop if year<1998
collapse pct_cov*  [aw=pop_ip] ,by (year country) fast

label variable pct_cov " "

local group Algeria Angola Benin Botswana Burkina-Faso Burundi Cameroon Cape-Verde CAR Chad Congo DRC/*
*/ Djibouti Egypt Eq-Guinea Eritrea Ethiopia Gabon/* Gambia*/ Ghana Guinea Guinea-Bissau Ivory-Coast Kenya/*
*/ Lesotho Liberia Libya Madagascar Malawi Mali Mauritania Morocco Mozambique Namibia Niger Nigeria/*
*/ Rwanda Senegal Sierra-Leone /*Somalia*/ South-Africa Sudan Swaziland Tanzania Togo Tunisia Uganda Zambia Zimbabwe



foreach c of local group{
qui twoway (scatter pct_cov year if country=="`c'", c(l) xlabel(1998 2003 2008 2012) ylabel(0 (0.5) 1) xtitle("Year") title(`c')), scheme(sj) 
graph save "${dir_inter}/figures/g1_`c'.gph",replace
}


graph combine "${dir_inter}/figures/g1_Algeria.gph" "${dir_inter}/figures/g1_Angola.gph" "${dir_inter}/figures/g1_Benin.gph" "${dir_inter}/figures/g1_Botswana.gph" "${dir_inter}/figures/g1_Burkina-Faso.gph" "${dir_inter}/figures/g1_Burundi.gph" "${dir_inter}/figures/g1_Cameroon.gph" "${dir_inter}/figures/g1_Cape-Verde.gph" "${dir_inter}/figures/g1_CAR.gph" "${dir_inter}/figures/g1_Chad.gph" "${dir_inter}/figures/g1_Congo.gph" "${dir_inter}/figures/g1_DRC.gph"/*
*/ "${dir_inter}/figures/g1_Djibouti.gph" "${dir_inter}/figures/g1_Egypt.gph" "${dir_inter}/figures/g1_Eq-Guinea.gph" "${dir_inter}/figures/g1_Eritrea.gph" "${dir_inter}/figures/g1_Ethiopia.gph" "${dir_inter}/figures/g1_Gabon.gph" /*"${dir_inter}/figures/g1_Gambia.gph"*/ "${dir_inter}/figures/g1_Ghana.gph" "${dir_inter}/figures/g1_Guinea.gph" "${dir_inter}/figures/g1_Guinea-Bissau.gph" "${dir_inter}/figures/g1_Ivory-Coast.gph" "${dir_inter}/figures/g1_Kenya.gph"/*
*/ "${dir_inter}/figures/g1_Lesotho.gph" "${dir_inter}/figures/g1_Liberia.gph" "${dir_inter}/figures/g1_Libya.gph" "${dir_inter}/figures/g1_Madagascar.gph" "${dir_inter}/figures/g1_Malawi.gph" "${dir_inter}/figures/g1_Mali.gph" "${dir_inter}/figures/g1_Mauritania.gph" "${dir_inter}/figures/g1_Morocco.gph" "${dir_inter}/figures/g1_Mozambique.gph" "${dir_inter}/figures/g1_Namibia.gph" "${dir_inter}/figures/g1_Niger.gph" "${dir_inter}/figures/g1_Nigeria.gph"/*
*/ "${dir_inter}/figures/g1_Rwanda.gph" "${dir_inter}/figures/g1_Senegal.gph" "${dir_inter}/figures/g1_Sierra-Leone.gph" "${dir_inter}/figures/g1_South-Africa.gph" "${dir_inter}/figures/g1_Sudan.gph" "${dir_inter}/figures/g1_Swaziland.gph" "${dir_inter}/figures/g1_Tanzania.gph" "${dir_inter}/figures/g1_Togo.gph" "${dir_inter}/figures/g1_Tunisia.gph" "${dir_inter}/figures/g1_Uganda.gph" "${dir_inter}/figures/g1_Zambia.gph" "${dir_inter}/figures/g1_Zimbabwe.gph", scheme(sj)
graph export "${dir_inter}/figures/fB1.png", replace

!rm "${dir_inter}/figures/g1_Algeria.gph" "${dir_inter}/figures/g1_Angola.gph" "${dir_inter}/figures/g1_Benin.gph" "${dir_inter}/figures/g1_Botswana.gph" "${dir_inter}/figures/g1_Burkina-Faso.gph" "${dir_inter}/figures/g1_Burundi.gph" "${dir_inter}/figures/g1_Cameroon.gph" "${dir_inter}/figures/g1_Cape-Verde.gph" "${dir_inter}/figures/g1_CAR.gph" "${dir_inter}/figures/g1_Chad.gph" "${dir_inter}/figures/g1_Congo.gph" "${dir_inter}/figures/g1_DRC.gph"/*
*/ "${dir_inter}/figures/g1_Djibouti.gph" "${dir_inter}/figures/g1_Egypt.gph" "${dir_inter}/figures/g1_Eq-Guinea.gph" "${dir_inter}/figures/g1_Eritrea.gph" "${dir_inter}/figures/g1_Ethiopia.gph" "${dir_inter}/figures/g1_Gabon.gph" /*"${dir_inter}/figures/g1_Gambia.gph"*/ "${dir_inter}/figures/g1_Ghana.gph" "${dir_inter}/figures/g1_Guinea.gph" "${dir_inter}/figures/g1_Guinea-Bissau.gph" "${dir_inter}/figures/g1_Ivory-Coast.gph" "${dir_inter}/figures/g1_Kenya.gph"/*
*/ "${dir_inter}/figures/g1_Lesotho.gph" "${dir_inter}/figures/g1_Liberia.gph" "${dir_inter}/figures/g1_Libya.gph" "${dir_inter}/figures/g1_Madagascar.gph" "${dir_inter}/figures/g1_Malawi.gph" "${dir_inter}/figures/g1_Mali.gph" "${dir_inter}/figures/g1_Mauritania.gph" "${dir_inter}/figures/g1_Morocco.gph" "${dir_inter}/figures/g1_Mozambique.gph" "${dir_inter}/figures/g1_Namibia.gph" "${dir_inter}/figures/g1_Niger.gph" "${dir_inter}/figures/g1_Nigeria.gph"/*
*/ "${dir_inter}/figures/g1_Rwanda.gph" "${dir_inter}/figures/g1_Senegal.gph" "${dir_inter}/figures/g1_Sierra-Leone.gph" "${dir_inter}/figures/g1_South-Africa.gph" "${dir_inter}/figures/g1_Sudan.gph" "${dir_inter}/figures/g1_Swaziland.gph" "${dir_inter}/figures/g1_Tanzania.gph" "${dir_inter}/figures/g1_Togo.gph" "${dir_inter}/figures/g1_Tunisia.gph" "${dir_inter}/figures/g1_Uganda.gph" "${dir_inter}/figures/g1_Zambia.gph" "${dir_inter}/figures/g1_Zimbabwe.gph"




******************************************************************************************************************
*0) TIME SERIES PROTESTS  PROTESTS by country 
******************************************************************************************************************


restore
preserve
drop if year<1998
egen weights = sum(pop_ip), by(country year)
collapse  gdelt_pc acled_pc scad_pc weight  [aw=pop_ip] ,by (year country) fast

for any acled_pc gdelt_pc scad_pc: g ln_X=ln(X+1) 

label variable ln_g " "
label variable ln_a " "
label variable ln_s " "

g tmp=ln_g if year==1998
egen max=max(tmp), by(country)
replace ln_g=ln_g-max
drop max tmp

g tmp=ln_a if year==1998
egen max=max(tmp), by(country)
replace ln_a=ln_a-max
drop max tmp

g tmp=ln_s if year==1998
egen max=max(tmp), by(country)
replace ln_s=ln_s-max
drop max tmp


local group Algeria Angola Benin Botswana Burkina-Faso Burundi Cameroon Cape-Verde CAR Chad Congo DRC/*
*/ Djibouti Egypt Eq-Guinea Eritrea Ethiopia Gabon Gambia Ghana Guinea Guinea-Bissau Ivory-Coast Kenya/*
*/ Lesotho Liberia Libya Madagascar Malawi Mali Mauritania Morocco Mozambique Namibia Niger Nigeria/*
*/ Rwanda Senegal Sierra-Leone /*Somalia*/ South-Africa Sudan Swaziland Tanzania Togo Tunisia Uganda Zambia Zimbabwe

foreach c of local group{
qui twoway(scatter ln_g year if country=="`c'", c(l l) xlabel(1998 2003 2008 2012) ylabel(-1.5 (1.5) 4.5)  xtitle("Year") title(`c')), scheme(sj)
graph save "${dir_inter}/figures/g2_`c'_gdelt.gph",replace
}


graph combine "${dir_inter}/figures/g2_Algeria_gdelt.gph" "${dir_inter}/figures/g2_Angola_gdelt.gph" "${dir_inter}/figures/g2_Benin_gdelt.gph" "${dir_inter}/figures/g2_Botswana_gdelt.gph" "${dir_inter}/figures/g2_Burkina-Faso_gdelt.gph" "${dir_inter}/figures/g2_Burundi_gdelt.gph" "${dir_inter}/figures/g2_Cameroon_gdelt.gph" "${dir_inter}/figures/g2_Cape-Verde_gdelt.gph" "${dir_inter}/figures/g2_CAR_gdelt.gph" "${dir_inter}/figures/g2_Chad_gdelt.gph" "${dir_inter}/figures/g2_Congo_gdelt.gph" "${dir_inter}/figures/g2_DRC_gdelt.gph"/*
*/ "${dir_inter}/figures/g2_Djibouti_gdelt.gph" "${dir_inter}/figures/g2_Egypt_gdelt.gph" "${dir_inter}/figures/g2_Eq-Guinea_gdelt.gph" "${dir_inter}/figures/g2_Eritrea_gdelt.gph" "${dir_inter}/figures/g2_Ethiopia_gdelt.gph" "${dir_inter}/figures/g2_Gabon_gdelt.gph" "${dir_inter}/figures/g2_Ghana_gdelt.gph" "${dir_inter}/figures/g2_Guinea_gdelt.gph" "${dir_inter}/figures/g2_Guinea-Bissau_gdelt.gph" "${dir_inter}/figures/g2_Ivory-Coast_gdelt.gph" "${dir_inter}/figures/g2_Kenya_gdelt.gph"/*
*/ "${dir_inter}/figures/g2_Lesotho_gdelt.gph" "${dir_inter}/figures/g2_Liberia_gdelt.gph" "${dir_inter}/figures/g2_Libya_gdelt.gph" "${dir_inter}/figures/g2_Madagascar_gdelt.gph" "${dir_inter}/figures/g2_Malawi_gdelt.gph" "${dir_inter}/figures/g2_Mali_gdelt.gph" "${dir_inter}/figures/g2_Mauritania_gdelt.gph" "${dir_inter}/figures/g2_Morocco_gdelt.gph" "${dir_inter}/figures/g2_Mozambique_gdelt.gph" "${dir_inter}/figures/g2_Namibia_gdelt.gph" "${dir_inter}/figures/g2_Niger_gdelt.gph" "${dir_inter}/figures/g2_Nigeria_gdelt.gph"/*
*/ "${dir_inter}/figures/g2_Rwanda_gdelt.gph" "${dir_inter}/figures/g2_Senegal_gdelt.gph" "${dir_inter}/figures/g2_Sierra-Leone_gdelt.gph" "${dir_inter}/figures/g2_South-Africa_gdelt.gph" "${dir_inter}/figures/g2_Sudan_gdelt.gph" "${dir_inter}/figures/g2_Swaziland_gdelt.gph" "${dir_inter}/figures/g2_Tanzania_gdelt.gph" "${dir_inter}/figures/g2_Togo_gdelt.gph" "${dir_inter}/figures/g2_Tunisia_gdelt.gph" "${dir_inter}/figures/g2_Uganda_gdelt.gph" "${dir_inter}/figures/g2_Zambia_gdelt.gph" "${dir_inter}/figures/g2_Zimbabwe_gdelt.gph", scheme(sj)
graph export "${dir_inter}/figures/fB2.png", replace

!rm "${dir_inter}/figures/g2_Algeria_gdelt.gph" "${dir_inter}/figures/g2_Angola_gdelt.gph" "${dir_inter}/figures/g2_Benin_gdelt.gph" "${dir_inter}/figures/g2_Botswana_gdelt.gph" "${dir_inter}/figures/g2_Burkina-Faso_gdelt.gph" "${dir_inter}/figures/g2_Burundi_gdelt.gph" "${dir_inter}/figures/g2_Cameroon_gdelt.gph" "${dir_inter}/figures/g2_Cape-Verde_gdelt.gph" "${dir_inter}/figures/g2_CAR_gdelt.gph" "${dir_inter}/figures/g2_Chad_gdelt.gph" "${dir_inter}/figures/g2_Congo_gdelt.gph" "${dir_inter}/figures/g2_DRC_gdelt.gph"/*
*/ "${dir_inter}/figures/g2_Djibouti_gdelt.gph" "${dir_inter}/figures/g2_Egypt_gdelt.gph" "${dir_inter}/figures/g2_Eq-Guinea_gdelt.gph" "${dir_inter}/figures/g2_Eritrea_gdelt.gph" "${dir_inter}/figures/g2_Ethiopia_gdelt.gph" "${dir_inter}/figures/g2_Gabon_gdelt.gph" "${dir_inter}/figures/g2_Gambia_gdelt.gph" "${dir_inter}/figures/g2_Ghana_gdelt.gph" "${dir_inter}/figures/g2_Guinea_gdelt.gph" "${dir_inter}/figures/g2_Guinea-Bissau_gdelt.gph" "${dir_inter}/figures/g2_Ivory-Coast_gdelt.gph" "${dir_inter}/figures/g2_Kenya_gdelt.gph"/*
*/ "${dir_inter}/figures/g2_Lesotho_gdelt.gph" "${dir_inter}/figures/g2_Liberia_gdelt.gph" "${dir_inter}/figures/g2_Libya_gdelt.gph" "${dir_inter}/figures/g2_Madagascar_gdelt.gph" "${dir_inter}/figures/g2_Malawi_gdelt.gph" "${dir_inter}/figures/g2_Mali_gdelt.gph" "${dir_inter}/figures/g2_Mauritania_gdelt.gph" "${dir_inter}/figures/g2_Morocco_gdelt.gph" "${dir_inter}/figures/g2_Mozambique_gdelt.gph" "${dir_inter}/figures/g2_Namibia_gdelt.gph" "${dir_inter}/figures/g2_Niger_gdelt.gph" "${dir_inter}/figures/g2_Nigeria_gdelt.gph"/*
*/ "${dir_inter}/figures/g2_Rwanda_gdelt.gph" "${dir_inter}/figures/g2_Senegal_gdelt.gph" "${dir_inter}/figures/g2_Sierra-Leone_gdelt.gph" "${dir_inter}/figures/g2_South-Africa_gdelt.gph" "${dir_inter}/figures/g2_Sudan_gdelt.gph" "${dir_inter}/figures/g2_Swaziland_gdelt.gph" "${dir_inter}/figures/g2_Tanzania_gdelt.gph" "${dir_inter}/figures/g2_Togo_gdelt.gph" "${dir_inter}/figures/g2_Tunisia_gdelt.gph" "${dir_inter}/figures/g2_Uganda_gdelt.gph" "${dir_inter}/figures/g2_Zambia_gdelt.gph" "${dir_inter}/figures/g2_Zimbabwe_gdelt.gph"




******************************************************************************************************************
*2) CROSS SECTION AFRICA STARTING FROM THE MAIN DATABASE (CELL LEVEL) 
******************************************************************************************************************


restore
preserve
xtset cell_id year


egen weight=sum(pop_ip), by(country)
collapse weight* pct_cov gdelt_pc acled_pc scad_pc gdp_g_wb [aw=pop_ip] ,by (country) fast

for any gdelt_pc acled_pc scad_pc: g ln_X=log(X)
*TLC AND PROTEST
qui twoway(scatter ln_gdelt_pc pct_cov [aw=weight] if country!="Gambia, The",msymbol(oh))(scatter ln_gdelt_pc pct_cov if country!="Gambia, The", mlab(country) ytitle("Protests per 100.000 Population (log), average 1998-2012", size(small)) xtitle("Mobile phone coverage (% pop.), average 1998-2012", size(small))mlabsize(tiny) msymbol(i) mlabpos(center))(lfit ln_gdelt_pc pct_cov [aw=weight] if country!="Gambia, The",legend(off)), scheme(sj)
graph export "${dir_inter}/figures/fB3.png", replace



******************************************************************************************************************
*3) CORRELATION MEASURES OF PROTEST: GDELT, ACLED BY COUNTRY
******************************************************************************************************************


restore
preserve
drop if year<1998

egen country_pop=sum(pop_ip), by(country year)

collapse (sum) acled gdelt  scad pop_ip country_p [aw=pop_ip], by(country year)

gen gdelt_pc=(gdelt/pop_ip)*100000
gen acled_pc=(acled/pop_ip)*100000
gen scad_pc=(scad/pop_ip)*100000
for any gdelt acled scad: g lnX=ln(1+X_pc)

encode country, g(newcountry)


areg lngdelt i.newcountry [aw=country_p],a(year)
predict res_gd, res

areg lnacled i.newcountry [aw=country_p],a(year)
predict res_ac, res

areg lnscad i.newcountry [aw=country_p],a(year)
predict res_sc, res




tsset newc year


for any gd: label var res_X "GDELT"
for any ac: label var res_X "ACLED"
for any sc: label var res_X "SCAD"


 

local group Algeria Angola Benin Botswana Burkina-Faso Burundi Cameroon Cape-Verde CAR Chad Congo DRC/*
*/ Djibouti Egypt Eq-Guinea Eritrea Ethiopia Gabon /*Gambia*/ Ghana Guinea Guinea-Bissau Ivory-Coast Kenya/*
*/ Lesotho Liberia Libya Madagascar Malawi Mali Mauritania Morocco Mozambique Namibia Niger Nigeria/*
*/ Rwanda Senegal Sierra-Leone /*Somalia*/ South-Africa Sudan Swaziland Tanzania Togo Tunisia Uganda Zambia Zimbabwe
foreach c of local group{
qui twoway(tsline res_gd if country=="`c'", xlabel(1998(4)2012) lpattern(solid)) (tsline res_ac if country=="`c'",lpattern(shortdash) yaxis(2) legend(off)), scheme(sj) ytitle("GDELT residuals",axis(1)) ytitle("ACLED residuals",axis(2)) xtitle("Year") xlabel(1998(4)2012) title(`c') 
graph save "${dir_inter}/figures/g_`c'.gph",replace
}

gr combine   "${dir_inter}/figures/g_Algeria.gph" "${dir_inter}/figures/g_Angola.gph" "${dir_inter}/figures/g_Benin.gph" "${dir_inter}/figures/g_Botswana.gph" "${dir_inter}/figures/g_Burkina-Faso.gph" "${dir_inter}/figures/g_Burundi.gph" "${dir_inter}/figures/g_Cameroon.gph" "${dir_inter}/figures/g_Cape-Verde.gph" "${dir_inter}/figures/g_CAR.gph" "${dir_inter}/figures/g_Chad.gph" "${dir_inter}/figures/g_Congo.gph" "${dir_inter}/figures/g_DRC.gph"/*
*/ "${dir_inter}/figures/g_Djibouti.gph" "${dir_inter}/figures/g_Egypt.gph" "${dir_inter}/figures/g_Eq-Guinea.gph" "${dir_inter}/figures/g_Eritrea.gph" "${dir_inter}/figures/g_Ethiopia.gph" "${dir_inter}/figures/g_Gabon.gph" /*"${dir_inter}/figures/g_Gambia.gph"*/ "${dir_inter}/figures/g_Ghana.gph" "${dir_inter}/figures/g_Guinea.gph" "${dir_inter}/figures/g_Guinea-Bissau.gph" "${dir_inter}/figures/g_Ivory-Coast.gph" "${dir_inter}/figures/g_Kenya.gph"/*
*/ "${dir_inter}/figures/g_Lesotho.gph" "${dir_inter}/figures/g_Liberia.gph" "${dir_inter}/figures/g_Libya.gph" "${dir_inter}/figures/g_Madagascar.gph" "${dir_inter}/figures/g_Malawi.gph" "${dir_inter}/figures/g_Mali.gph" "${dir_inter}/figures/g_Mauritania.gph" "${dir_inter}/figures/g_Morocco.gph" "${dir_inter}/figures/g_Mozambique.gph" "${dir_inter}/figures/g_Namibia.gph" "${dir_inter}/figures/g_Niger.gph" "${dir_inter}/figures/g_Nigeria.gph"/*
*/ "${dir_inter}/figures/g_Rwanda.gph" "${dir_inter}/figures/g_Senegal.gph" "${dir_inter}/figures/g_Sierra-Leone.gph" "${dir_inter}/figures/g_South-Africa.gph" "${dir_inter}/figures/g_Sudan.gph" "${dir_inter}/figures/g_Swaziland.gph" "${dir_inter}/figures/g_Tanzania.gph" "${dir_inter}/figures/g_Togo.gph" "${dir_inter}/figures/g_Tunisia.gph" "${dir_inter}/figures/g_Uganda.gph" "${dir_inter}/figures/g_Zambia.gph" "${dir_inter}/figures/g_Zimbabwe.gph",  scheme(sj)  
graph export "${dir_inter}/figures/fB4.png", replace

!rm  "${dir_inter}/figures/g_Algeria.gph" "${dir_inter}/figures/g_Angola.gph" "${dir_inter}/figures/g_Benin.gph" "${dir_inter}/figures/g_Botswana.gph" "${dir_inter}/figures/g_Burkina-Faso.gph" "${dir_inter}/figures/g_Burundi.gph" "${dir_inter}/figures/g_Cameroon.gph" "${dir_inter}/figures/g_Cape-Verde.gph" "${dir_inter}/figures/g_CAR.gph" "${dir_inter}/figures/g_Chad.gph" "${dir_inter}/figures/g_Congo.gph" "${dir_inter}/figures/g_DRC.gph"/*
*/ "${dir_inter}/figures/g_Djibouti.gph" "${dir_inter}/figures/g_Egypt.gph" "${dir_inter}/figures/g_Eq-Guinea.gph" "${dir_inter}/figures/g_Eritrea.gph" "${dir_inter}/figures/g_Ethiopia.gph" "${dir_inter}/figures/g_Gabon.gph" /*"${dir_inter}/figures/g_Gambia.gph"*/ "${dir_inter}/figures/g_Ghana.gph" "${dir_inter}/figures/g_Guinea.gph" "${dir_inter}/figures/g_Guinea-Bissau.gph" "${dir_inter}/figures/g_Ivory-Coast.gph" "${dir_inter}/figures/g_Kenya.gph"/*
*/ "${dir_inter}/figures/g_Lesotho.gph" "${dir_inter}/figures/g_Liberia.gph" "${dir_inter}/figures/g_Libya.gph" "${dir_inter}/figures/g_Madagascar.gph" "${dir_inter}/figures/g_Malawi.gph" "${dir_inter}/figures/g_Mali.gph" "${dir_inter}/figures/g_Mauritania.gph" "${dir_inter}/figures/g_Morocco.gph" "${dir_inter}/figures/g_Mozambique.gph" "${dir_inter}/figures/g_Namibia.gph" "${dir_inter}/figures/g_Niger.gph" "${dir_inter}/figures/g_Nigeria.gph"/*
*/ "${dir_inter}/figures/g_Rwanda.gph" "${dir_inter}/figures/g_Senegal.gph" "${dir_inter}/figures/g_Sierra-Leone.gph" "${dir_inter}/figures/g_South-Africa.gph" "${dir_inter}/figures/g_Sudan.gph" "${dir_inter}/figures/g_Swaziland.gph" "${dir_inter}/figures/g_Tanzania.gph" "${dir_inter}/figures/g_Togo.gph" "${dir_inter}/figures/g_Tunisia.gph" "${dir_inter}/figures/g_Uganda.gph" "${dir_inter}/figures/g_Zambia.gph" "${dir_inter}/figures/g_Zimbabwe.gph"


local group Algeria Angola Benin Botswana Burkina-Faso Burundi Cameroon Cape-Verde CAR Chad Congo DRC/*
*/ Djibouti Egypt Eq-Guinea Eritrea Ethiopia Gabon /*Gambia*/ Ghana Guinea Guinea-Bissau Ivory-Coast Kenya/*
*/ Lesotho Liberia Libya Madagascar Malawi Mali Mauritania Morocco Mozambique Namibia Niger Nigeria/*
*/ Rwanda Senegal Sierra-Leone /*Somalia*/ South-Africa Sudan Swaziland Tanzania Togo Tunisia Uganda Zambia Zimbabwe
foreach c of local group{
qui twoway(tsline res_gd if country=="`c'", xlabel(1998(4)2012) lpattern(solid)) (tsline res_sc if country=="`c'",lpattern(shortdash) yaxis(2) legend(off)), scheme(sj) ytitle("GDELT residuals",axis(1)) ytitle("SCAD residuals",axis(2)) xtitle("Year") xlabel(1998(4)2012) title(`c') 
graph save "${dir_inter}/figures/g1_`c'.gph",replace
}

gr combine   "${dir_inter}/figures/g1_Algeria.gph" "${dir_inter}/figures/g1_Angola.gph" "${dir_inter}/figures/g1_Benin.gph" "${dir_inter}/figures/g1_Botswana.gph" "${dir_inter}/figures/g1_Burkina-Faso.gph" "${dir_inter}/figures/g1_Burundi.gph" "${dir_inter}/figures/g1_Cameroon.gph" "${dir_inter}/figures/g1_Cape-Verde.gph" "${dir_inter}/figures/g1_CAR.gph" "${dir_inter}/figures/g1_Chad.gph" "${dir_inter}/figures/g1_Congo.gph" "${dir_inter}/figures/g1_DRC.gph"/*
*/ "${dir_inter}/figures/g1_Djibouti.gph" "${dir_inter}/figures/g1_Egypt.gph" "${dir_inter}/figures/g1_Eq-Guinea.gph" "${dir_inter}/figures/g1_Eritrea.gph" "${dir_inter}/figures/g1_Ethiopia.gph" "${dir_inter}/figures/g1_Gabon.gph" /*"${dir_inter}/figures/g1_Gambia.gph"*/ "${dir_inter}/figures/g1_Ghana.gph" "${dir_inter}/figures/g1_Guinea.gph" "${dir_inter}/figures/g1_Guinea-Bissau.gph" "${dir_inter}/figures/g1_Ivory-Coast.gph" "${dir_inter}/figures/g1_Kenya.gph"/*
*/ "${dir_inter}/figures/g1_Lesotho.gph" "${dir_inter}/figures/g1_Liberia.gph" "${dir_inter}/figures/g1_Libya.gph" "${dir_inter}/figures/g1_Madagascar.gph" "${dir_inter}/figures/g1_Malawi.gph" "${dir_inter}/figures/g1_Mali.gph" "${dir_inter}/figures/g1_Mauritania.gph" "${dir_inter}/figures/g1_Morocco.gph" "${dir_inter}/figures/g1_Mozambique.gph" "${dir_inter}/figures/g1_Namibia.gph" "${dir_inter}/figures/g1_Niger.gph" "${dir_inter}/figures/g1_Nigeria.gph"/*
*/ "${dir_inter}/figures/g1_Rwanda.gph" "${dir_inter}/figures/g1_Senegal.gph" "${dir_inter}/figures/g1_Sierra-Leone.gph" "${dir_inter}/figures/g1_South-Africa.gph" "${dir_inter}/figures/g1_Sudan.gph" "${dir_inter}/figures/g1_Swaziland.gph" "${dir_inter}/figures/g1_Tanzania.gph" "${dir_inter}/figures/g1_Togo.gph" "${dir_inter}/figures/g1_Tunisia.gph" "${dir_inter}/figures/g1_Uganda.gph" "${dir_inter}/figures/g1_Zambia.gph" "${dir_inter}/figures/g1_Zimbabwe.gph",  scheme(sj)  
graph export "${dir_inter}/figures/fB5.png", replace


!rm "${dir_inter}/figures/g1_Algeria.gph" "${dir_inter}/figures/g1_Angola.gph" "${dir_inter}/figures/g1_Benin.gph" "${dir_inter}/figures/g1_Botswana.gph" "${dir_inter}/figures/g1_Burkina-Faso.gph" "${dir_inter}/figures/g1_Burundi.gph" "${dir_inter}/figures/g1_Cameroon.gph" "${dir_inter}/figures/g1_Cape-Verde.gph" "${dir_inter}/figures/g1_CAR.gph" "${dir_inter}/figures/g1_Chad.gph" "${dir_inter}/figures/g1_Congo.gph" "${dir_inter}/figures/g1_DRC.gph"/*
*/ "${dir_inter}/figures/g1_Djibouti.gph" "${dir_inter}/figures/g1_Egypt.gph" "${dir_inter}/figures/g1_Eq-Guinea.gph" "${dir_inter}/figures/g1_Eritrea.gph" "${dir_inter}/figures/g1_Ethiopia.gph" "${dir_inter}/figures/g1_Gabon.gph" /*"${dir_inter}/figures/g1_Gambia.gph"*/ "${dir_inter}/figures/g1_Ghana.gph" "${dir_inter}/figures/g1_Guinea.gph" "${dir_inter}/figures/g1_Guinea-Bissau.gph" "${dir_inter}/figures/g1_Ivory-Coast.gph" "${dir_inter}/figures/g1_Kenya.gph"/*
*/ "${dir_inter}/figures/g1_Lesotho.gph" "${dir_inter}/figures/g1_Liberia.gph" "${dir_inter}/figures/g1_Libya.gph" "${dir_inter}/figures/g1_Madagascar.gph" "${dir_inter}/figures/g1_Malawi.gph" "${dir_inter}/figures/g1_Mali.gph" "${dir_inter}/figures/g1_Mauritania.gph" "${dir_inter}/figures/g1_Morocco.gph" "${dir_inter}/figures/g1_Mozambique.gph" "${dir_inter}/figures/g1_Namibia.gph" "${dir_inter}/figures/g1_Niger.gph" "${dir_inter}/figures/g1_Nigeria.gph"/*
*/ "${dir_inter}/figures/g1_Rwanda.gph" "${dir_inter}/figures/g1_Senegal.gph" "${dir_inter}/figures/g1_Sierra-Leone.gph" "${dir_inter}/figures/g1_South-Africa.gph" "${dir_inter}/figures/g1_Sudan.gph" "${dir_inter}/figures/g1_Swaziland.gph" "${dir_inter}/figures/g1_Tanzania.gph" "${dir_inter}/figures/g1_Togo.gph" "${dir_inter}/figures/g1_Tunisia.gph" "${dir_inter}/figures/g1_Uganda.gph" "${dir_inter}/figures/g1_Zambia.gph" "${dir_inter}/figures/g1_Zimbabwe.gph"

******************************************************************************************************************
*3) CORRELATION MEASURES OF PROTEST: GDELT, ACLED WITHIN COUNTRY
******************************************************************************************************************

restore

for any  gdelt acled scad: g lnX=ln(1+X_pc)

encode country, g(newcountry)

xi: reg lngdelt i.newcountry*i.year [aw=pop_ip]
predict res_gd, res

xi: reg lnacled i.newcountry*i.year [aw=pop_ip]
predict res_ac, res

xi: reg lnscad i.newcountry*i.year [aw=pop_ip]
predict res_sc, res

local group gd ac sc



*GDELT/ACLED
cap drop min1
egen min1=min(res_ac)
replace min1=floor(min1)
cap drop max1
egen max1=max(res_ac)
replace max1=floor(max1)+1
su min1
global min1=r(mean)
su max1
global max1=r(mean)

cap drop min2
egen min2=min(res_gd)
replace min2=floor(min2)
cap drop max2
egen max2=max(res_gd)
replace max2=floor(max2)+1
su min2
global min2=r(mean)
su max2
global max2=r(mean)

cap drop min3
egen min3=min(res_sc)
replace min3=floor(min3)
cap drop max3
egen max3=max(res_gd)
replace max3=floor(max3)+1
su min3
global min3=r(mean)
su max3
global max3=r(mean)

*Do the scatterplot for the two measures, show they're positively correlated
local group Algeria Angola Benin Botswana Burkina-Faso Burundi Cameroon /*Cape-Verde*/ CAR Chad Congo DRC/*
*/ /*Djibouti*/ Egypt /*Eq-Guinea*/ Eritrea Ethiopia Gabon /*Gambia*/ Ghana Guinea Guinea-Bissau Ivory-Coast Kenya/*
*/ Lesotho Liberia Libya Madagascar Malawi Mali Mauritania Morocco Mozambique Namibia Niger Nigeria/*
*/ Rwanda Senegal Sierra-Leone /*Somalia*/ South-Africa Sudan Swaziland Tanzania Togo Tunisia Uganda Zambia Zimbabwe



foreach c of local group{
preserve
keep if country=="`c'"
reg res_gd res_ac [aw=pop_ip], cluster(adm1)
cap drop p
predict p 
cap drop coef
g coef=_coef[res_ac]
cap drop se
g se=_se[res_ac]
cap drop t
g t=coef/se
for any coef se : replace X=round(X*1000)/1000
for any coef se : tostring X, g(tmpX) force

for any coef se : g tmp1X=substr(tmpX, 1,1)
for any coef se : g tmp1aX=substr(tmpX, 2,1)

*numbers like X.XXX
for any coef se : g tmp2X=substr(tmpX, 1,5) if tmp1X!="." & tmp1X!="-"
*numbers like .XXX
for any coef se : replace tmp2X="0"+substr(tmpX, 1,4) if tmp1X=="."
*numbers like -.XXX
for any coef se : replace tmp2X="-"+"0"+substr(tmpX, 2,5) if tmp1X=="-" & tmp1aX=="."
*numbers like -X.XXX
for any coef se : replace tmp2X="-"+substr(tmpX, 2,6) if tmp1X=="-" & tmp1aX!="."
for any coef se : global X=tmp2X

scatter p res_gd res_ac,  mlabsize(tiny) msize(tiny) scheme(sj) ytitle("GDELT ")xtitle("ACLED") title(`c') note(Coeff. = $coef (s.e. $se))  s(i Oh) c(l i) legend(off) xlabel($min1 (3) $max1) ylabel($min2 (3) $max2) lwidth(vthick)

drop p coef se t tmp*
graph save "${dir_inter}/figures/g2_`c'.gph",replace
restore
}

reg res_gd res_ac [aw=pop_ip], cluster(adm1)
cap drop tmp*
cap drop p
predict p 
cap drop coef
g coef=_coef[res_ac]
cap drop se
g se=_se[res_ac]
cap drop t
g t=coef/se
for any coef se : replace X=round(X*1000)/1000
for any coef se : tostring X, g(tmpX) force

for any coef se : g tmp1X=substr(tmpX, 1,1)
for any coef se : g tmp1aX=substr(tmpX, 2,1)

*numbers like X.XXX
for any coef se : g tmp2X=substr(tmpX, 1,5) if tmp1X!="." & tmp1X!="-"
*numbers like .XXX
for any coef se : replace tmp2X="0"+substr(tmpX, 1,4) if tmp1X=="."
*numbers like -.XXX
for any coef se : replace tmp2X="-"+"0"+substr(tmpX, 2,5) if tmp1X=="-" & tmp1aX=="."
*numbers like -X.XXX
for any coef se : replace tmp2X="-"+substr(tmpX, 2,6) if tmp1X=="-" & tmp1aX!="."
for any coef se : global X=tmp2X

graph combine "${dir_inter}/figures/g2_Algeria.gph" "${dir_inter}/figures/g2_Angola.gph" "${dir_inter}/figures/g2_Benin.gph" "${dir_inter}/figures/g2_Botswana.gph" "${dir_inter}/figures/g2_Burkina-Faso.gph" "${dir_inter}/figures/g2_Burundi.gph" "${dir_inter}/figures/g2_Cameroon.gph" /*"${dir_inter}/figures/g2_Cape-Verde.gph"*/ "${dir_inter}/figures/g2_CAR.gph" "${dir_inter}/figures/g2_Chad.gph" "${dir_inter}/figures/g2_Congo.gph" "${dir_inter}/figures/g2_DRC.gph"/*
*/ /*"${dir_inter}/figures/g2_Djibouti.gph"*/ "${dir_inter}/figures/g2_Egypt.gph" /*"${dir_inter}/figures/g2_Eq-Guinea.gph"*/ "${dir_inter}/figures/g2_Eritrea.gph" "${dir_inter}/figures/g2_Ethiopia.gph" "${dir_inter}/figures/g2_Gabon.gph" /*"${dir_inter}/figures/g2_Gambia.gph"*/ "${dir_inter}/figures/g2_Ghana.gph" "${dir_inter}/figures/g2_Guinea.gph" "${dir_inter}/figures/g2_Guinea-Bissau.gph" "${dir_inter}/figures/g2_Ivory-Coast.gph" "${dir_inter}/figures/g2_Kenya.gph"/*
*/ "${dir_inter}/figures/g2_Lesotho.gph" "${dir_inter}/figures/g2_Liberia.gph" "${dir_inter}/figures/g2_Libya.gph" "${dir_inter}/figures/g2_Madagascar.gph" "${dir_inter}/figures/g2_Malawi.gph" "${dir_inter}/figures/g2_Mali.gph" "${dir_inter}/figures/g2_Mauritania.gph" "${dir_inter}/figures/g2_Morocco.gph" "${dir_inter}/figures/g2_Mozambique.gph" "${dir_inter}/figures/g2_Namibia.gph" "${dir_inter}/figures/g2_Niger.gph" "${dir_inter}/figures/g2_Nigeria.gph"/*
*/ "${dir_inter}/figures/g2_Rwanda.gph" "${dir_inter}/figures/g2_Senegal.gph" "${dir_inter}/figures/g2_Sierra-Leone.gph" "${dir_inter}/figures/g2_South-Africa.gph" "${dir_inter}/figures/g2_Sudan.gph" "${dir_inter}/figures/g2_Swaziland.gph" "${dir_inter}/figures/g2_Tanzania.gph" "${dir_inter}/figures/g2_Togo.gph" "${dir_inter}/figures/g2_Tunisia.gph" "${dir_inter}/figures/g2_Uganda.gph" "${dir_inter}/figures/g2_Zambia.gph" "${dir_inter}/figures/g2_Zimbabwe.gph",  scheme(sj) note(Pooled coeff. = $coef (s.e. $se))
graph export "${dir_inter}/figures/fB6.png", replace
drop p coef se t tmp*

!rm "${dir_inter}/figures/g2_Algeria.gph" "${dir_inter}/figures/g2_Angola.gph" "${dir_inter}/figures/g2_Benin.gph" "${dir_inter}/figures/g2_Botswana.gph" "${dir_inter}/figures/g2_Burkina-Faso.gph" "${dir_inter}/figures/g2_Burundi.gph" "${dir_inter}/figures/g2_Cameroon.gph" /*"${dir_inter}/figures/g2_Cape-Verde.gph"*/ "${dir_inter}/figures/g2_CAR.gph" "${dir_inter}/figures/g2_Chad.gph" "${dir_inter}/figures/g2_Congo.gph" "${dir_inter}/figures/g2_DRC.gph"/*
*/ /*"${dir_inter}/figures/g2_Djibouti.gph"*/ "${dir_inter}/figures/g2_Egypt.gph" /*"${dir_inter}/figures/g2_Eq-Guinea.gph"*/ "${dir_inter}/figures/g2_Eritrea.gph" "${dir_inter}/figures/g2_Ethiopia.gph" "${dir_inter}/figures/g2_Gabon.gph" /*"${dir_inter}/figures/g2_Gambia.gph"*/ "${dir_inter}/figures/g2_Ghana.gph" "${dir_inter}/figures/g2_Guinea.gph" "${dir_inter}/figures/g2_Guinea-Bissau.gph" "${dir_inter}/figures/g2_Ivory-Coast.gph" "${dir_inter}/figures/g2_Kenya.gph"/*
*/ "${dir_inter}/figures/g2_Lesotho.gph" "${dir_inter}/figures/g2_Liberia.gph" "${dir_inter}/figures/g2_Libya.gph" "${dir_inter}/figures/g2_Madagascar.gph" "${dir_inter}/figures/g2_Malawi.gph" "${dir_inter}/figures/g2_Mali.gph" "${dir_inter}/figures/g2_Mauritania.gph" "${dir_inter}/figures/g2_Morocco.gph" "${dir_inter}/figures/g2_Mozambique.gph" "${dir_inter}/figures/g2_Namibia.gph" "${dir_inter}/figures/g2_Niger.gph" "${dir_inter}/figures/g2_Nigeria.gph"/*
*/ "${dir_inter}/figures/g2_Rwanda.gph" "${dir_inter}/figures/g2_Senegal.gph" "${dir_inter}/figures/g2_Sierra-Leone.gph" "${dir_inter}/figures/g2_South-Africa.gph" "${dir_inter}/figures/g2_Sudan.gph" "${dir_inter}/figures/g2_Swaziland.gph" "${dir_inter}/figures/g2_Tanzania.gph" "${dir_inter}/figures/g2_Togo.gph" "${dir_inter}/figures/g2_Tunisia.gph" "${dir_inter}/figures/g2_Uganda.gph" "${dir_inter}/figures/g2_Zambia.gph" "${dir_inter}/figures/g2_Zimbabwe.gph"




*GDELT/SCAD
cap drop min1
egen min1=min(res_sc)
replace min1=floor(min1)
cap drop max1
egen max1=max(res_sc)
replace max1=floor(max1)+1
su min1
global min1=r(mean)
su max1
global max1=r(mean)

cap drop min2
egen min2=min(res_gd)
replace min2=floor(min1)
cap drop max2
egen max2=max(res_gd)
replace max2=floor(max2)+1
su min2
global min2=r(mean)
su max2
global max2=r(mean)

*Do the scatterplot for the two measures, show they're positively correlated
local group Algeria Angola Benin Botswana Burkina-Faso Burundi Cameroon /*Cape-Verde*/ CAR Chad Congo DRC/*
*/ /*Djibouti*/ Egypt /*Eq-Guinea*/ Eritrea Ethiopia Gabon /*Gambia*/ Ghana Guinea Guinea-Bissau Ivory-Coast Kenya/*
*/ Lesotho Liberia Libya Madagascar Malawi Mali Mauritania Morocco Mozambique Namibia Niger Nigeria/*
*/ Rwanda Senegal Sierra-Leone /*Somalia*/ South-Africa Sudan Swaziland Tanzania Togo Tunisia Uganda Zambia Zimbabwe



foreach c of local group{
preserve
keep if country=="`c'"
reg res_gd res_sc [aw=pop_ip], cluster(adm1)
cap drop p
predict p 
cap drop coef
g coef=_coef[res_sc]
cap drop se
g se=_se[res_sc]
cap drop t
g t=coef/se
for any coef se : replace X=round(X*1000)/1000
for any coef se : tostring X, g(tmpX) force

for any coef se : g tmp1X=substr(tmpX, 1,1)
for any coef se : g tmp1aX=substr(tmpX, 2,1)

*numbers like X.XXX
for any coef se : g tmp2X=substr(tmpX, 1,5) if tmp1X!="." & tmp1X!="-"
*numbers like .XXX
for any coef se : replace tmp2X="0"+substr(tmpX, 1,4) if tmp1X=="."
*numbers like -.XXX
for any coef se : replace tmp2X="-"+"0"+substr(tmpX, 2,5) if tmp1X=="-" & tmp1aX=="."
*numbers like -X.XXX
for any coef se : replace tmp2X="-"+substr(tmpX, 2,6) if tmp1X=="-" & tmp1aX!="."
for any coef se : global X=tmp2X

scatter p res_gd res_sc,  mlabsize(tiny) msize(tiny) scheme(sj) ytitle("GDELT ")xtitle("SCAD") title(`c') note(Coeff. = $coef (s.e. $se))  s(i Oh) c(l i) legend(off) xlabel($min1 (3) $max1) ylabel($min2 (3) $max2) lwidth(vthick)

drop p coef se t tmp*
graph save "${dir_inter}/figures/g2_`c'.gph",replace
restore
}

reg res_gd res_sc [aw=pop_ip], cluster(adm1)
cap drop tmp*
cap drop p
predict p 
cap drop coef
g coef=_coef[res_sc]
cap drop se
g se=_se[res_sc]
cap drop t
g t=coef/se
for any coef se : replace X=round(X*1000)/1000
for any coef se : tostring X, g(tmpX) force

for any coef se : g tmp1X=substr(tmpX, 1,1)
for any coef se : g tmp1aX=substr(tmpX, 2,1)

*numbers like X.XXX
for any coef se : g tmp2X=substr(tmpX, 1,5) if tmp1X!="." & tmp1X!="-"
*numbers like .XXX
for any coef se : replace tmp2X="0"+substr(tmpX, 1,4) if tmp1X=="."
*numbers like -.XXX
for any coef se : replace tmp2X="-"+"0"+substr(tmpX, 2,5) if tmp1X=="-" & tmp1aX=="."
*numbers like -X.XXX
for any coef se : replace tmp2X="-"+substr(tmpX, 2,6) if tmp1X=="-" & tmp1aX!="."
for any coef se : global X=tmp2X

graph combine "${dir_inter}/figures/g2_Algeria.gph" "${dir_inter}/figures/g2_Angola.gph" "${dir_inter}/figures/g2_Benin.gph" "${dir_inter}/figures/g2_Botswana.gph" "${dir_inter}/figures/g2_Burkina-Faso.gph" "${dir_inter}/figures/g2_Burundi.gph" "${dir_inter}/figures/g2_Cameroon.gph" /*"${dir_inter}/figures/g2_Cape-Verde.gph"*/ "${dir_inter}/figures/g2_CAR.gph" "${dir_inter}/figures/g2_Chad.gph" "${dir_inter}/figures/g2_Congo.gph" "${dir_inter}/figures/g2_DRC.gph"/*
*/ /*"${dir_inter}/figures/g2_Djibouti.gph"*/ "${dir_inter}/figures/g2_Egypt.gph" /*"${dir_inter}/figures/g2_Eq-Guinea.gph"*/ "${dir_inter}/figures/g2_Eritrea.gph" "${dir_inter}/figures/g2_Ethiopia.gph" "${dir_inter}/figures/g2_Gabon.gph" /*"${dir_inter}/figures/g2_Gambia.gph"*/ "${dir_inter}/figures/g2_Ghana.gph" "${dir_inter}/figures/g2_Guinea.gph" "${dir_inter}/figures/g2_Guinea-Bissau.gph" "${dir_inter}/figures/g2_Ivory-Coast.gph" "${dir_inter}/figures/g2_Kenya.gph"/*
*/ "${dir_inter}/figures/g2_Lesotho.gph" "${dir_inter}/figures/g2_Liberia.gph" "${dir_inter}/figures/g2_Libya.gph" "${dir_inter}/figures/g2_Madagascar.gph" "${dir_inter}/figures/g2_Malawi.gph" "${dir_inter}/figures/g2_Mali.gph" "${dir_inter}/figures/g2_Mauritania.gph" "${dir_inter}/figures/g2_Morocco.gph" "${dir_inter}/figures/g2_Mozambique.gph" "${dir_inter}/figures/g2_Namibia.gph" "${dir_inter}/figures/g2_Niger.gph" "${dir_inter}/figures/g2_Nigeria.gph"/*
*/ "${dir_inter}/figures/g2_Rwanda.gph" "${dir_inter}/figures/g2_Senegal.gph" "${dir_inter}/figures/g2_Sierra-Leone.gph" "${dir_inter}/figures/g2_South-Africa.gph" "${dir_inter}/figures/g2_Sudan.gph" "${dir_inter}/figures/g2_Swaziland.gph" "${dir_inter}/figures/g2_Tanzania.gph" "${dir_inter}/figures/g2_Togo.gph" "${dir_inter}/figures/g2_Tunisia.gph" "${dir_inter}/figures/g2_Uganda.gph" "${dir_inter}/figures/g2_Zambia.gph" "${dir_inter}/figures/g2_Zimbabwe.gph",  scheme(sj) note(Pooled coeff. = $coef (s.e. $se))
graph export "${dir_inter}/figures/fB7.png", replace
drop p coef se t tmp*


!rm "${dir_inter}/figures/g2_Algeria.gph" "${dir_inter}/figures/g2_Angola.gph" "${dir_inter}/figures/g2_Benin.gph" "${dir_inter}/figures/g2_Botswana.gph" "${dir_inter}/figures/g2_Burkina-Faso.gph" "${dir_inter}/figures/g2_Burundi.gph" "${dir_inter}/figures/g2_Cameroon.gph" /*"${dir_inter}/figures/g2_Cape-Verde.gph"*/ "${dir_inter}/figures/g2_CAR.gph" "${dir_inter}/figures/g2_Chad.gph" "${dir_inter}/figures/g2_Congo.gph" "${dir_inter}/figures/g2_DRC.gph"/*
*/ /*"${dir_inter}/figures/g2_Djibouti.gph"*/ "${dir_inter}/figures/g2_Egypt.gph" /*"${dir_inter}/figures/g2_Eq-Guinea.gph"*/ "${dir_inter}/figures/g2_Eritrea.gph" "${dir_inter}/figures/g2_Ethiopia.gph" "${dir_inter}/figures/g2_Gabon.gph" /*"${dir_inter}/figures/g2_Gambia.gph"*/ "${dir_inter}/figures/g2_Ghana.gph" "${dir_inter}/figures/g2_Guinea.gph" "${dir_inter}/figures/g2_Guinea-Bissau.gph" "${dir_inter}/figures/g2_Ivory-Coast.gph" "${dir_inter}/figures/g2_Kenya.gph"/*
*/ "${dir_inter}/figures/g2_Lesotho.gph" "${dir_inter}/figures/g2_Liberia.gph" "${dir_inter}/figures/g2_Libya.gph" "${dir_inter}/figures/g2_Madagascar.gph" "${dir_inter}/figures/g2_Malawi.gph" "${dir_inter}/figures/g2_Mali.gph" "${dir_inter}/figures/g2_Mauritania.gph" "${dir_inter}/figures/g2_Morocco.gph" "${dir_inter}/figures/g2_Mozambique.gph" "${dir_inter}/figures/g2_Namibia.gph" "${dir_inter}/figures/g2_Niger.gph" "${dir_inter}/figures/g2_Nigeria.gph"/*
*/ "${dir_inter}/figures/g2_Rwanda.gph" "${dir_inter}/figures/g2_Senegal.gph" "${dir_inter}/figures/g2_Sierra-Leone.gph" "${dir_inter}/figures/g2_South-Africa.gph" "${dir_inter}/figures/g2_Sudan.gph" "${dir_inter}/figures/g2_Swaziland.gph" "${dir_inter}/figures/g2_Tanzania.gph" "${dir_inter}/figures/g2_Togo.gph" "${dir_inter}/figures/g2_Tunisia.gph" "${dir_inter}/figures/g2_Uganda.gph" "${dir_inter}/figures/g2_Zambia.gph" "${dir_inter}/figures/g2_Zimbabwe.gph"
