*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"



cap program drop initial
program define initial
*creates  vars
local group gdelt gdelt_opd acled acled_opd scad scad_opd gdelt_prec acled_prec scad_prec 
foreach c of local group{
gen `c'_pc=(`c'/pop_ip)*100000
replace `c'_pc=. if gdelt_pc==.
gen ln_`c'_pc=ln(1+`c'_pc)
}

g ln_pop_ip=log(pop_ip)

*dummies for relevant variables
cap drop dcoast
gen dcoast=(coastdist==0)
local group mines diam
foreach c of local group{
gen d`c'=(`c'>0)
replace d`c'=. if `c'==.
}


*key interaction
g covgdp_wb=pct_cov*gdp_g_wb
g covgdp_wb_w=pct_cov_w*gdp_g_wb
 
 
*instrument
g flash2_tv=flash2*tv
g flash2_tvgdp=flash2_tv*gdp_g_wb
************


*missing values for covariates
global vars  coastdist frst mnt mines diam dmines ddiam imr dcoast bdist2 capdist electr prim_road  
local group $vars
foreach c of local group{
g d_`c'=`c'==.
replace `c'=-999999 if `c'==.
}


*dummy mines and diamonds enter as factor variables and have missing values. Must be positive  
replace dmines=abs(dmines)
replace ddiam=abs(ddiam)

g border=(bdist2<.25)


drop if year<1998
drop if ln_gdelt_pc==. | pct_cov==. | flash2_tv==. | covgdp_wb==.

egen grcouyear=group(country year)
egen grcountry=group(country)

g nl3_mp_pc=nl3_mp/pop_ip
g ln_nl3_mp_pc=ln(nl3_mp_pc)


*defines macros for regressions
global sizecontrols2="c.ln_pop_ip"
global nl="c.ln_nl3_mp_pc"
for any prec_gpcp temp_prio: replace X=ln(X)   
global climate="c.prec_gpcp c.temp_prio"   

global baseline1 border c.bdist2  c.pct_oil  c.cities c.frst d_frst c.mnt d_mnt dmines d_dmines ddiam d_ddiam c.imr d_imr
global baseline2 capital c.capdist c.coastdist c.electr d_electr c.prim_road d_prim_road 
global otherbaseline dcoast c.lat c.lon c.totarea  
global baseline $baseline1 $baseline2 $otherbaseline 

end



**********************
*Residuals cols. 1-2
**********************


cap program drop regnowA
program define regnowA
local group ln_gdelt_pc ln_acled_pc ln_scad_pc pct_cov covgdp_wb flash2_tv flash2_tvgdp

foreach i of local group {
reghdfe `i' $xlist [aw=pop_ip] , a($xlist1 $axlist cell_id)     tol(1e-02)  residuals( r_`i'${j})  
}

if $j==4 {
preserve
keep pct_cov* r_* country pop_ip cell_id year gdp_g_wb adm1 adm2
save "$dir_inter/created_data_in_dta/residuals_bycell_t2.dta", replace 
restore 
}

else {
preserve
keep pct_cov* r_* country pop_ip cell_id year gdp_g_wb adm1 adm2
merge 1:1 cell_id year using "$dir_inter/created_data_in_dta/residuals_bycell_t2.dta"
drop _m
save "$dir_inter/created_data_in_dta/residuals_bycell_t2.dta", replace 
restore 
}

global xlist=""
global xlist1=""
global axlist=""
global j=$j+1
end


cap program drop regnow1
program define regnow1
global j=4

*4. + pop X GDP
global spec=4
global xlist=""
global xlist1 cow##year 
global axlist c.year##adm1
local group $baseline
foreach i of local group {
global xlist  $xlist c.year#`i' 
}
global xlist $xlist $sizecontrols2 $nl $climate c.gdp_g_wb#$sizecontrols2 
regnowA

*5. + baseline (incl flash2) X GDP 
global spec=5
global xlist=""
global xlist1 cow##year 
global axlist c.year##adm1
local group $baseline
foreach i of local group {
global xlist  $xlist c.year#`i'  
}
global xlist $xlist $sizecontrols2 $nl $climate c.gdp_g_wb#$sizecontrols2 c.gdp_g_wb#$nl c.gdp_g_wb#c.prec_gpcp c.gdp_g_wb#c.temp_prio  
regnowA

end

u "$dir_inter/original_data/main_data_final.dta", replace
initial
regnow1




*************************
*Residuals cols. 4-6
*************************


cap program drop regnowA_oth
program define regnowA_oth

local group ln_gdelt_pc ln_acled_pc ln_scad_pc pct_cov covgdp_wb flash2_tv flash2_tvgdp /* //main
*/pct_cov_w covgdp_wb_w /*//weighted
*/ln_gdelt_opd_pc ln_acled_opd_pc ln_scad_opd_pc /*//one per day
*/ln_gdelt_prec_pc ln_acled_prec_pc ln_scad_prec_pc //high-precision

foreach i of local group{
reghdfe `i' $xlist  [aw=pop_ip] , a($xlist1 $axlist cell_id)     tol(1e-02)  residuals( r_`i'_3)  
}
keep pct_cov* r_* country pop_ip cell_id year gdp_g_wb adm1 adm2
save "$dir_inter/created_data_in_dta/residuals_bycell_oth_t2.dta", replace 
end


cap program drop regnow1_oth
program define regnow1_oth

*country X year + baseline X trend  (plus time varying vars)
global xlist=""
global xlist1 cow##year 
cap drop tmp
global axlist c.year##adm1
local group $baseline
foreach i of local group{
global xlist  $xlist c.year#`i' 
}
global xlist  $xlist $sizecontrols2 $nl $climate

regnowA_oth

end

u "$dir_inter/original_data/main_data_final.dta", replace
initial
regnow1_oth




**********************
*Residuals col. 7
**********************


cap program drop regnowA_uw
program define regnowA_uw

local group ln_gdelt_pc ln_acled_pc ln_scad_pc pct_cov covgdp_wb flash2_tv flash2_tvgdp    //main


foreach i of local group{
reghdfe `i' $xlist  , a($xlist1 $axlist cell_id)     tol(1e-02)  residuals( r_`i'_uw_3)   //unweighted regression
}
keep pct_cov* r_* country pop_ip year cell_id gdp_g_wb adm1 adm2
save "$dir_inter/created_data_in_dta/residuals_bycell_uw_t2.dta", replace 
end


cap program drop regnow1_uw
program define regnow1_uw

*country X year + baseline X trend  (plus time varying vars)
global xlist=""
global xlist1 cow##year 
cap drop tmp
global axlist c.year##adm1
local group $baseline
foreach i of local group{
global xlist  $xlist c.year#`i' 
}
global xlist  $xlist $sizecontrols2 $nl $climate

regnowA_uw

end

u "$dir_inter/original_data/main_data_final.dta", replace
initial
regnow1_uw





***************************
*Residuals col. 9-12
***************************

cap program drop regnowA
program define regnowA

local group ln_gdelt_pc ln_acled_pc ln_scad_pc pct_cov covgdp_wb flash2_tv flash2_tvgdp    //main

foreach i of local group{
reghdfe `i' $xlist [aw=pop_ip] , a($xlist1 $axlist cell_id)     tol(1e-02)  residuals( r_`i'_${typevar}_3)     
}

if $j==1 {
preserve
keep pct_cov r_* country pop_ip cell_id year gdp_g_wb capital adm1 adm2
save "$dir_inter/created_data_in_dta/residuals_bycell_subs_t2.dta", replace 
restore 
}
else {
preserve
keep pct_cov r_* country pop_ip cell_id year gdp_g_wb capital adm1 adm2
merge 1:1 cell_id year using "$dir_inter/created_data_in_dta/residuals_bycell_subs_t2.dta"
drop _m
save "$dir_inter/created_data_in_dta/residuals_bycell_subs_t2.dta", replace 
restore 
}
global xlist=""
global xlist1=""
global axlist=""
global j=$j+1

end


cap program drop regnow1
program define regnow1

*country X year + baseline X trend  (plus time varying vars)
global xlist=""
global xlist1 cow##year 
cap drop tmp
global axlist c.year##adm1
local group $baseline
foreach i of local group{
global xlist  $xlist c.year#`i' 
}
global xlist  $xlist $sizecontrols2 $nl $climate

regnowA

end



global j=1
u "$dir_inter/original_data/main_data_final.dta", replace
initial


preserve
g noas = cond(missing(year), ., (year <= 2010))  /*no arab spring */
keep if noas==1
global typevar="noas"
regnow1
restore

preserve
drop if country=="Libya"
 g nomc_strict3=country=="Tunisia"|country=="Morocco"|country=="Egypt"|country=="Algeria"|country=="Gabon"|country=="Botswana"|country=="Ghana"|country=="Cape Verde"|country=="Kenya"/*
*/ |country=="South Africa"|country=="Cameroon"|country=="Gambia"|country=="Ivory Coast"|country=="Angola"|country=="Djibouti"|country=="Lesotho"|country=="Senegal"|country=="Benin" /*
*/ |country=="Namibia"|country=="Congo (Brazzaville)"|country=="Mali"|country=="Comoros"|country=="Nigeria"|country=="Ethiopia"|country=="Swaziland"|country=="Togo"|country=="Uganda" /*no middle class*/
keep if nomc_strict3==0
global typevar="mc_strict3"
regnow1
restore

preserve
sort cell_id year
by cell_id: ipolate intern year, g(a_in)
drop intern
rename a_in intern
g nint = cond(missing(intern), ., (inter <= 3))  /*no internet defined as penetration of minimum 3%*/
keep if nint==1
global typevar="nint"
regnow1
restore



preserve
keep if pct_cov_3g==0 /*no 3G*/
global typevar="pre3g"
regnow1
restore


 


****************************************************
*For specifications in cols. 3, 8 
*using a different sample and dependent variable
*slightly modified program  
****************************************************


cap program drop initial_spec38
program define initial_spec38


*creates  vars
local group gdelt acled scad
foreach c of local group{
gen `c'_pc=(`c'/pop_ip)*100000
replace `c'_pc=. if gdelt_pc==.
gen ln_`c'_pc=ln(1+`c'_pc)
}

g ln_pop_ip=log(pop_ip)

*dummies for relevant variables
cap drop dcoast
gen dcoast=(coastdist==0)
local group mines diam
foreach c of local group{
gen d`c'=(`c'>0)
replace d`c'=. if `c'==.
}

*key interaction
g covgdp_wb=pct_cov*gdp_g_wb
 
*instrument
g flash2_tv=flash2*tv
g flash2_tvgdp=flash2_tv*gdp_g_wb
************

*missing values for covariates
global vars  coastdist frst mnt mines diam dmines ddiam imr dcoast bdist2 capdist electr prim_road  
local group $vars
foreach c of local group{
g d_`c'=`c'==.
replace `c'=-999999 if `c'==.
}

*dummy mines and diamonds enter as factor variables and have missing values. Must be positive  
replace dmines=abs(dmines)
replace ddiam=abs(ddiam)

g border=(bdist2<.25)

drop if year<1998
drop if ln_gdelt_pc==. | pct_cov==. | flash2_tv==. | covgdp_wb==.

egen grcouyear=group(country year)
egen grcountry=group(country)

g nl3_mp_pc=nl3_mp/pop_ip
g ln_nl3_mp_pc=ln(nl3_mp_pc)


global sizecontrols2="c.ln_pop_ip"
global nl="c.ln_nl3_mp_pc"
for any prec_gpcp temp_prio: replace X=ln(X)   
global climate="c.prec_gpcp c.temp_prio"   

global baseline1 border c.bdist2  c.pct_oil  c.cities c.frst d_frst c.mnt d_mnt dmines d_dmines ddiam d_ddiam c.imr d_imr
global baseline2 capital c.capdist c.coastdist c.electr d_electr c.prim_road d_prim_road 
global otherbaseline dcoast c.lat c.lon c.totarea  
global baseline $baseline1 $baseline2 $otherbaseline 

end


**********************
*Residuals col. 3
**********************


cap program drop regnowA_adm2
program define regnowA_adm2
local group ln_gdelt_pc ln_acled_pc ln_scad_pc pct_cov covgdp_wb flash2_tv flash2_tvgdp
foreach i of local group{
reghdfe `i' $xlist  [aw=pop_ip] , a($xlist1 $axlist adm2)     tol(1e-02)  residuals( r_`i'_adm2_3)  
}
keep pct_cov* r_* country pop_ip year gdp_g_wb adm1 adm2
save "$dir_inter/created_data_in_dta/residuals_bycell_final_adm2_t2.dta", replace 

end


*country X year + baseline X trend  (plus time varying vars)

cap program drop regnow1_adm2
program define regnow1_adm2

global xlist=""
global xlist1 cow##year 
cap drop tmp
global axlist c.year##adm1
local group $baseline
foreach i of local group{
global xlist  $xlist c.year#`i' 
}
global xlist  $xlist $sizecontrols2 $nl $climate
regnowA_adm2

end

u "$dir_inter/original_data/main_data_adm2_final.dta", replace
initial_spec38
regnow1_adm2


**********************
*Residuals col. 8
**********************

cap program drop regnowA_part
program define regnowA_part

local group ln_part pct_cov flash2_tv flash2_tvgdp covgdp_wb  
foreach i of local group{
reghdfe `i' $xlist  [aw=pop_ip] , a($xlist1 $axlist cell_id)     tol(1e-02)  res( r_`i'_part_3)  
}
keep pct_cov* r_* country cell_id pop_ip year gdp_g_wb adm1 adm2
save "$dir_inter/created_data_in_dta/residuals_bycell_final_part_t2.dta", replace 

end


*country X year + baseline X trend  (plus time varying vars)

cap program drop regnow1_part
program define regnow1_part

global xlist=""
global xlist1 cow##year 
cap drop tmp
global axlist c.year##adm1
local group $baseline
foreach i of local group{
global xlist  $xlist c.year#`i' 
}
global xlist  $xlist $sizecontrols2 $nl $climate
regnowA_part

end



use "${dir_inter}/original_data/scad_1990_2016_cell_id.dta", clear


collapse (sum) part , by(cell_id year)
merge m:1 cell_id year using "$dir_inter/original_data/main_data_final.dta"
drop if _m==1

*creates  vars
local group  part
foreach c of local group{
gen `c'_pc=(`c'/pop_ip)*100000
replace `c'_pc=0 if `c'_pc==.
gen ln_`c'_pc=ln(1+`c'_pc)
}

initial_spec38
regnow1_part





