
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"

u "$dir_inter/created_data_in_dta/residuals_bycell_t2.dta", clear  

merge 1:1 cell_id year using "$dir_inter/created_data_in_dta/residuals_bycell_oth_t2.dta"
drop _m

merge 1:1 cell_id year using "$dir_inter/created_data_in_dta/residuals_bycell_uw_t2.dta"
drop _m

merge 1:1 cell_id year using "$dir_inter/created_data_in_dta/residuals_bycell_subs_t2.dta"
drop _m


merge 1:1 cell_id year using "$dir_inter/created_data_in_dta/residuals_bycell_final_part_t2.dta"
drop _m


local group gdelt acled scad
foreach c of local group {

!rm "${dir_inter}/tables/t_2_`c'_final.txt"
!rm "${dir_inter}/tables/t_2_`c'_final.tex"
!rm "${dir_inter}/tables/t_2_`c'_final.xml"

}

**********
*Col. 1
**********


local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc4 (r_pct_cov4 r_covgdp_wb4 =r_flash2_tv4 r_flash2_tvgdp4)  [aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov4, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb4, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb

outreg2 r_pct_cov4 r_covgdp_wb4 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}

**********
*Col. 2
**********


local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc5 (r_pct_cov5 r_covgdp_wb5 =r_flash2_tv5 r_flash2_tvgdp5)  [aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov5, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb5, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov5 r_covgdp_wb5 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}

**********
*Col. 3
**********


*Adm2 aggregation 
preserve
u "$dir_inter/created_data_in_dta/residuals_bycell_final_adm2_t2.dta", clear


local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc_adm2_3 (r_pct_cov_adm2_3 r_covgdp_wb_adm2_3 =r_flash2_tv_adm2_3 r_flash2_tvgdp_adm2_3)  [aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov_adm2_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_adm2_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb


outreg2 r_pct_cov_adm2_3 r_covgdp_wb_adm2_3 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}

restore


**********
*Col. 4
**********


local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc_3 (r_pct_cov_w_3 r_covgdp_wb_w_3 =r_flash2_tv_3 r_flash2_tvgdp_3)  [aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov_w_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_w_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov_w_3 r_covgdp_wb_w_3 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}



**********
*Col. 5
**********


local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_opd_pc_3 (r_pct_cov_3 r_covgdp_wb_3 =r_flash2_tv_3 r_flash2_tvgdp_3)  [aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov_3 r_covgdp_wb_3 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}





**********
*Col. 6
**********


local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_prec_pc_3 (r_pct_cov_3 r_covgdp_wb_3 =r_flash2_tv_3 r_flash2_tvgdp_3)  [aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov_3 r_covgdp_wb_3 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}



**********
*Col. 7
**********


local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc_uw_3 (r_pct_cov_uw_3 r_covgdp_wb_uw_3 =r_flash2_tv_uw_3 r_flash2_tvgdp_uw_3), cluster(country) ffirst

boottest r_pct_cov_uw_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_uw_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov_uw_3 r_covgdp_wb_uw_3 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}




**********
*Col. 8
**********




ivreg2 r_ln_part_part_3 (r_pct_cov_part_3 r_covgdp_wb_part_3 =r_flash2_tv_part_3 r_flash2_tvgdp_part_3)  [aw=pop_ip], cluster(country) ffirst

boottest r_pct_cov_part_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_part_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov_part_3 r_covgdp_wb_part_3 using "${dir_inter}/tables/t_2_scad_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)






**********
*Col. 9
**********

preserve
g noas = cond(missing(year), ., (year <= 2010)) 
keep if noas==1

local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc_noas_3 (r_pct_cov_noas_3 r_covgdp_wb_noas_3 =r_flash2_tv_noas_3 r_flash2_tvgdp_noas_3) [aw=pop_ip] if noas==1, cluster(country) ffirst

boottest r_pct_cov_noas_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_noas_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov_noas_3 r_covgdp_wb_noas_3 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}


restore




**********
*Col. 10
**********

preserve
g nomc_strict3=country=="Tunisia"|country=="Morocco"|country=="Egypt"|country=="Algeria"|country=="Gabon"|country=="Botswana"|country=="Ghana"|country=="Cape Verde"|country=="Kenya"/*
*/ |country=="South Africa"|country=="Cameroon"|country=="Gambia"|country=="Ivory Coast"|country=="Angola"|country=="Djibouti"|country=="Lesotho"|country=="Senegal"|country=="Benin" /*
*/ |country=="Namibia"|country=="Congo (Brazzaville)"|country=="Mali"|country=="Comoros"|country=="Nigeria"|country=="Ethiopia"|country=="Swaziland"|country=="Togo"|country=="Uganda"
 
keep if nomc_strict3==0

local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc_mc_strict3_3 (r_pct_cov_mc_strict3_3 r_covgdp_wb_mc_strict3_3 =r_flash2_tv_mc_strict3_3 r_flash2_tvgdp_mc_strict3_3) [aw=pop_ip] if nomc_strict==0, cluster(country) ffirst

boottest r_pct_cov_mc_strict3_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_mc_strict3_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov_mc_strict3_3 r_covgdp_wb_mc_strict3_3 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}


restore






**********
*Col. 11
**********
cap drop _mmerge
*merge m:1 country year using "$dir_data_other/wdi_internet_africa"
*drop if _m==2
*drop _m
*sort cell_id year
*by cell_id: ipolate intern year, g(a_in)
*drop intern
*rename a_in intern
*g nint = cond(missing(inter), ., (inter <= 3))  /*define as penetration of minimum 3%*/

local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc_nint_3 (r_pct_cov_nint_3 r_covgdp_wb_nint_3 =r_flash2_tv_nint_3 r_flash2_tvgdp_nint_3) [aw=pop_ip] /*if nint==1*/, cluster(country) ffirst

boottest r_pct_cov_nint_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_nint_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov_nint_3 r_covgdp_wb_nint_3 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}


**********
*Col. 12
**********


local group gdelt acled scad

foreach c of local group {

ivreg2 r_ln_`c'_pc_pre3g_3 (r_pct_cov_pre3g_3 r_covgdp_wb_pre3g_3 =r_flash2_tv_pre3g_3 r_flash2_tvgdp_pre3g_3) [aw=pop_ip] if pct_cov_3g==0, cluster(country) ffirst

boottest r_pct_cov_pre3g_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux1
local aux1=r(p) 

boottest r_covgdp_wb_pre3g_3, noci   seed(121237)  boottype(wild) cluster(country)
cap drop aux2
local aux2=r(p) 

*calculate the Sanderson-Windmeijer
cap matrix drop first
matrix first = e(first)   
matrix list first
cap drop SW*
cap drop AR*
local SW1= el(first,8,1)   //SW for pct_cov
local SW2= el(first,8,2)   //SW for covgdp_wb



outreg2 r_pct_cov_pre3g_3 r_covgdp_wb_pre3g_3 using "${dir_inter}/tables/t_2_`c'_final", append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 /*
 */ adds(obs, e(N), boot pct_cov, `aux1', boot covgdp_wb, `aux2', SW flash2_tv, `SW1', SW flash2_tvgdp, `SW2') slow(700)

}

