*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"


set more 1
u  "$dir_inter/original_data/afro_clean", clear   
g  c=ltrim(country)
drop country
rename c country

*Respondents may be assigned probabilistically to more than one cell based on population. Computes number respondents
bysort newid: g resp =_n
*number of cells
bysort cell_id year: g cell =_n


*DUMMY VARIABLES DEFINED IN NEGATIVE TERMS 

*distrust president
for any pres: g d_X=(trust_X==0) if trust_X!=9 & !missing(trust_X) 

*dislike the work of president
for any pres: g dop_X=(op_X<=1) if op_X!=9

*worse personal state and state of the economy compared to previous year 
for any impr_ec_y impr_ec_c: replace X=. if X==9
for any impr_ec_y impr_ec_c: g dX=X<2 


*ADDITIONAL INDIVIDUAL CONTROLS 
replace age=age/100
g age2=age^2

g ded=0 if educ<=1
replace ded=3 if educ==2
replace ded=5 if educ==3
replace ded=6 if educ==4
replace ded=8 if educ==5
replace ded=12 if educ==6
replace ded=12 if educ==7
replace ded=14 if educ==8
replace ded=16 if educ==9

g unempl=(empl<=1)  
tab religion, g(drel)  //1 christian; 2 muslim; 3 other religion

g city=(urbrur==1)
replace city=. if urbrur==3

replace hh_adu=-999 if hh_adu==.
replace hh_adu=1 if hh_adu==1.1
g dhh_adu=(hh_adu<0) if !missing(hh_adu)

****************************************
*Predict mobile phone (and Internet) use
****************************************

global sizecontrols2="c.ln_pop_ip"
global nl="c.ln_nl3_mp_pc"
for any prec_gpcp temp_prio: replace X=ln(X)  
global climate="c.prec_gpcp c.temp_prio"   

global baseline1 border c.bdist2  c.pct_oil  c.cities c.frst d_frst c.mnt d_mnt  dmines d_dmines ddiam d_ddiam c.imr d_imr
global baseline2 capital c.capdist c.coastdist c.electr d_electr c.prim_road d_prim_road 
global otherbaseline dcoast c.lat c.lon c.totarea  
global baseline $baseline1 $baseline2 $otherbaseline 


global xlist0 i.cow i.year 
global xlist=""
global xlist1 cow##year 
cap drop tmp
global axlist c.year##adm1
local group $baseline
foreach i of local group{
global xlist  $xlist c.year#`i'
}
global xlist  $xlist $sizecontrols2 $nl $climate


global ic2="age age2 sex ded city drel* hh_adu dhh_adu" 
 

*ROUND 5   
xi: oprobit use_mobile_call  $ic2 $xlist0 pct_cov [aw=weight] , cluster(country)  

predict p0-p4
cap drop p
g p=p2+p3+p4

*qui su p, det
g pd_m=p>.5 & p!=. //predicted probability of using phone everyday is over 50%


*internet
 xi: oprobit news_internet  $ic2 $xlist0 pct_cov [aw=weight] , cluster(country)  

predict i0-i4
cap drop i
g i=i3+i4  

qui su i, det
g pd_i=i>.5 //predicted probability of using internet every day is over 50%


*22% of respondents in round 5 are predicted (based on socio-econ) not to use mobile phone although they do. 
replace pd_m=1 if use_mobile>1 & use_mobile!=.


 
*************************************
*Generate ownership of radio and TV
*************************************

g pd_r=own_radio==1
replace pd_r=. if own_r==.
g pd_t=own_tv==1
replace pd_t=. if own_t==.


************************************************************
*Avg protest and predicted mobile phone, TV and radio
************************************************************

egen avg_act_prot=wtmean(act_prot), by(cell_id year) weight(weight)

 
foreach c in m i t r {
 
egen avg_pd_`c'=wtmean(pd_`c'), by(cell_id year) weight(weight)
 
*overall mean in fraction people using mobile phone, radio, tv
egen mpd_`c'=wtmean(avg_pd_`c'),  weight(weight)
*rescale
replace avg_pd_`c'=avg_pd_`c'-mpd_`c'

*interactions
g avg_pd_`c'_gr=avg_pd_`c'*gdp_g_wb
for any gdp_g_wb avg_act_prot avg_pd_`c' avg_pd_`c'_gr pct_cov covgdp_wb: g p_`c'_X = pd_`c'*X
}



*Interactions of all other individual characteristics by gdp_g
for any age age2 sex city drel1 drel2 drel3 ded hh_adu dhh_adu: g X_gdp_g_wb=X*gdp_g_wb


****************************************
*MAIN PROGRAM
****************************************

local group  pct_cov gdp_g_wb covgdp_wb /*

*/unempl dimpr_ec_y dimpr_ec_c d_pres dop_pres /*

*/pd_m pd_r pd_t pd_i /*

*/p_m_gdp_g_wb p_r_gdp_g_wb p_t_gdp_g_wb p_i_gdp_g_wb /*

*/age_gdp_g_wb age2_gdp_g_wb sex_gdp_g_wb city_gdp_g_wb ded_gdp_g_wb drel1_gdp_g_wb drel2_gdp_g_wb drel3_gdp_g_wb hh_adu_gdp_g_wb dhh_adu_gdp_g_wb /*

*/act_prot avg_act_prot p_m_avg_act_prot /*

*/avg_pd_m avg_pd_m_gr p_m_avg_pd_m p_m_avg_pd_m_gr /*

*/avg_pd_r avg_pd_r_gr avg_pd_t avg_pd_t_gr avg_pd_i avg_pd_i_gr  
  
foreach i of local group  {

 qui : areg `i' $xlist1 $xlist $axlist $ic2 [aw=weight], abs(cell_id)
 predict r_`i'3,res
 
}
keep weight cell_id newid r_* country  year cell_id gdp_g_wb p pd* adm1 resp cell

save "$dir_inter/created_data_in_dta/micro_model_50_final",replace
