*Dataset desert_aff_1998_2012_50km.dta contains NDVI values at 0.5 X 0.5 degree cell, constructed from data available here:
*https://ecocast.arc.nasa.gov/data/pub/gimms/3g.v1/

*NDVI data are described here:
*https://nex.nasa.gov/nex/projects/1349/wiki/general_data_description_and_access/

 
*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"



!rm "${dir_inter}/tables/t_A4_final.txt"
!rm "${dir_inter}/tables/t_A4_final.tex"
!rm "${dir_inter}/tables/t_A4_final.xml"



u "$dir_inter/created_data_in_dta/residuals_bycell_tA4_desert.dta", replace
merge 1:1 cell_id year using "$dir_inter/created_data_in_dta/residuals_bycell_tA4_nl.dta"


ivreg2  r_dlnNL_cell_id r_flash2_tv_nl r_flash2_tvgdp_nl [aw=pop_ip], cluster(country) 

 
boottest r_flash2_tv_nl, noci seed(121237)  boottype(wild) cluster(country)
local aux5=r(p)

boottest  r_flash2_tvgdp_nl, noci seed(121237)  boottype(wild) cluster(country)
local aux6=r(p)
outreg2 using "${dir_inter}/tables/t_A4_final" ,keep(r_flash2_tv_nl r_flash2_tvgdp_nl) /*
*/append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds (boot flash2_tv_nl, `aux5', boot flash2_tvgdp_nl, `aux6') slow(700)

 
 
 
local group ln_pop_ip desert
foreach c of local group {


ivreg2 r_`c'_nop r_flash2_tv_nop r_flash2_tvgdp_nop [aw=pop_ip], cluster(country)

boottest r_flash2_tv_nop, noci seed(121237)  boottype(wild) cluster(country)
local aux7=r(p)

boottest  r_flash2_tvgdp_nop, noci seed(121237)  boottype(wild) cluster(country)
local aux8=r(p)

outreg2 using "${dir_inter}/tables/t_A4_final" ,keep(r_flash2_tv_nop r_flash2_tvgdp_nop) /*
*/append bdec(3) pdec(2) excel tex nonotes noaster nocons nose nor2 adds (boot flash2_tv_nop, `aux7', boot flash2_tvgdp_nop, `aux8') slow(700)


}

