*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"



*********
*COUNTRY SE
*********

cap program drop se2iv
program define se2iv
ivreg2 $y ($x1 $x2=$z1 $z2)  [aw=pop_ip], cluster($clustervars) ffirst
end

cap program drop cluster_se2
program define cluster_se2
se2${type1}
preserve
g specification=$spec
g counter=1
for any coef se : g X_${x1}=_X[$x1]
for any coef se : g X_${x2}=_X[$x2]
test $x1
g p_${x1}=r(p) 
test $x2
g p_${x2}=r(p) 
collapse p_* se_* coef_* , by(specification counter)
save "${dir_inter}/tables/${typese}_${v}${type}_final", replace
restore
end



*********************************************
*WILD BOOTSTRAP  
*********************************************
cap program drop bs2iv
program define bs2iv
preserve
boottest $x1, noci   seed(121237)  boottype(wild) cluster(country)	 
cap drop p_${x1}
g p_${x1}=r(p) 
boottest $x2, noci   seed(121237)  boottype(wild)	 cluster(country)
cap drop p_${x2}
g p_${x2}=r(p) 
g specification=$spec
g counter=1
collapse p_*, by(specification counter)
save "${dir_inter}/tables/bs_${v}${type}_final", replace
restore
end




*********************************************
*IBRAGIMOV MULLER 						
*********************************************		




cap program drop im2
program define im2
preserve
reg $x1 $z1 $z2 [aw=pop]
cap drop x1hat
predict x1hat
global x1hat="x1hat"
reg $x2 $z1 $z2 [aw=pop]
cap drop x2hat
predict x2hat
global x2hat="x2hat"
global j =1
while $j<=$maxgrcountry {
xi: reg $y $x1hat $x2hat   if grcountry==$j [aw=pop]
cap drop N
g N=e(df_m)+1
su N
global N=r(mean)
for any 1 2: cap g coefX=.
for any 1 2: cap g seX=.
replace coef1=_coef[$x1hat] if grcountry==$j
replace coef2=_coef[$x2hat] if grcountry==$j
replace se1=_se[$x1hat] if grcountry==$j
replace se2=_se[$x2hat] if grcountry==$j
global j=$j+1
} 

collapse coef*  se*, by(grcountry) fast

g critical1=invttail($maxgrcountry-1,.083/2) 
g critical2=invttail($maxgrcountry-1,.05/2) 

su coef1 [aw=1/se1^2]
g mean1=r(mean)
g S21=r(sd)
g t1_im=sqrt($maxgrcountry)*(mean1)/S21
* conf intervals at 91.7 (1-8.3%)
g lb1_${x1}=mean1-critical1*S21/sqrt($maxgrcountry)
g ub1_${x1}=mean1+critical1*S21/sqrt($maxgrcountry)
* conf intervals at 95* (1-5%)
g lb2_${x1}=mean1-critical2*S21/sqrt($maxgrcountry)
g ub2_${x1}=mean1+critical2*S21/sqrt($maxgrcountry)

cap drop tmp
g tmp_ln_gdelt_pc_=se2
g tmp_ln_acled_pc_=se2
g tmp_ln_scad_pc_=1
su coef2 [aw=1/tmp_${v}^2]
g mean2=r(mean)
g S22=r(sd)
g t2_im=sqrt($maxgrcountry)*(mean1)/S22
* conf intervals at 91.7 (1-8.3%)
g lb1_${x2}=mean2-critical1*S22/sqrt($maxgrcountry)
g ub1_${x2}=mean2+critical1*S22/sqrt($maxgrcountry)
* conf intervals at 95* (1-5%)
g lb2_${x2}=mean2-critical2*S22/sqrt($maxgrcountry)
g ub2_${x2}=mean2+critical2*S22/sqrt($maxgrcountry)

g specification=$spec
g counter=1   
collapse lb* ub*, by(specification counter)
save "${dir_inter}/tables/im_${v}${type}_final", replace
restore
end





cap program drop all2
program define all2
*********
*+ GDP X cov - 2 variables
********
*a1. cluster country
global clustervars="country"
global typese="country"
cluster_se2
*b. bootstrap by country
bs2${type1}
*a2. cluster adm1
global clustervars="adm1"
global typese="adm1"
cluster_se2
*a3. cluster admin2
global clustervars="adm2"
global typese="adm2"
cluster_se2
*c1.two way  (year X cou + adm1) 
global clustervars="grcouyear adm1"
global typese="twoway_adm1"
cluster_se2
*c2.two way  (year X cou + adm2) 
global clustervars="grcouyear adm2"
global typese="twoway_adm2"
cluster_se2
*d. ibragimov-muller
im2
global append="append"
end


cap program drop all
program define all
all2
end

*************************************************r
*************************************************r
cap program drop initial
program define initial
clear
u "$dir_inter/created_data_in_dta/residuals_bycell_final.dta", replace 
drop pct_cov gdp_g_wb
drop if year<1998
drop if r_ln_gdelt_pc3==. | r_pct_cov3==. | r_flash2_tv3==. 
	

egen grcouyear=group(country year)

egen grcountry=group(country)
su grcountry
global maxgrcountry=r(max)
cap drop _m


end





cap program drop allA_iv
program define allA_iv
initial
local group ln_gdelt_pc  ln_acled_pc  ln_scad_pc
foreach c of local group {
global v="`c'_"

   global min=3
   global max=3
   global append="replace"
   global spec=$min
   while $spec<=$max {
   for any  pct_cov covgdp_wb    flash2_tv flash2_tvgdp: rename r_X$spec X
   global y="r_`c'$spec"
   all  
   for any  pct_cov covgdp_wb    flash2_tv flash2_tvgdp: rename X r_X$spec
   global spec=$spec+1
                   }
}
end



*************************************************
*TABLE : IV
*************************************************
global type="iv"
global type1="iv"
global type2=""
global x1="pct_cov" 
global x2="covgdp_wb" 
global z1="flash2_tv" 
global z2="flash2_tvgdp" 
allA_iv			   


cap program drop string_coef
program define string_coef
global b=1
while $b<=2 {
tostring coef_${x${b}}, g(coef${b}) force format(%9.3f)
global b=$b+1
}
keep spec counter  coef1 coef2
sort spec counter
g n=_n
drop spec counter
for any 1 2: replace coefX=" " if coefX=="."
end


cap program drop string_p
program define string_p
global b=1
while $b<=2 {
tostring p_${x${b}}, g(p${b}) force format(%9.2f)
replace p${b}="["+p${b}+"]   " if p_${x${b}}>.10 & p_${x${b}}<.
replace p${b}="["+p${b}+"]"+"*  " if p_${x${b}}>.05 & p_${x${b}}<.10
replace p${b}="["+p${b}+"]"+"** " if p_${x${b}}>.01 & p_${x${b}}<=.05
replace p${b}="["+p${b}+"]"+"***" if p_${x${b}}<=.01
replace p${b}=" " if  p${b}=="."
global b=$b+1
}

*keep spec counter p1 p2 pjoint 
sort spec counter
g n=_n
*drop spec counter
end

cap program drop string_ci
program define string_ci
global b=1
while $b<=2 {
tostring lb1_${x${b}}, g(lb1${b}) force format(%9.3f)
tostring ub1_${x${b}}, g(ub1${b}) force format(%9.3f)
g str ci1$b="["+lb1$b+";"+ub1$b+"]"
replace ci1$b=ci1$b + "*" if (lb1_${x${b}}<0 & ub1_${x${b}}<0) | (lb1_${x${b}}>0 & ub1_${x${b}}>0)
replace ci1$b=" " if  ci1$b=="[.;.]"
replace ci1$b=" " if  ci1$b=="[.;.]*"
replace ci1$b=" " if  ci1$b=="[.;.]+"

tostring lb2_${x${b}}, g(lb2${b}) force format(%9.3f)
tostring ub2_${x${b}}, g(ub2${b}) force format(%9.3f)
g str ci2$b="["+lb2$b+";"+ub2$b+"]"
replace ci2$b=ci2$b + "*" if (lb2_${x${b}}<0 & ub2_${x${b}}<0) | (lb2_${x${b}}>0 & ub2_${x${b}}>0)
replace ci2$b=" " if  ci2$b=="[.;.]"
replace ci2$b=" " if  ci2$b=="[.;.]*"
replace ci2$b=" " if  ci2$b=="[.;.]+"
global b=$b+1
}
keep spec counter ci* 
sort spec counter
g n=_n
keep n ci*
end

cap program drop final
program define final
set more 1
u "${dir_inter}/tables/country_${v}_${type}_final", replace
keep if counter==1
string_coef
keep coef1 n
rename coef1 var
g type=1
g coef=1
reshape wide var, i(type) j(n)
save tmp, replace
edit

u "${dir_inter}/tables/country_${v}_${type}_final", replace
keep if counter==1
string_p
keep p1 n
rename p1 var
g type=1
g coef=0
reshape wide var, i(type) j(n)
append using tmp
save tmp, replace


u "${dir_inter}/tables/twoway_adm1_${v}_${type}_final", replace
keep if counter==1
string_p
keep p1 n
rename p1 var
g type=3
g coef=0
reshape wide var, i(type) j(n)
append using tmp
save tmp, replace

u "${dir_inter}/tables/adm1_${v}_${type}_final", replace
keep if counter==1
string_p
keep p1 n
rename p1 var
g type=4
g coef=0
reshape wide var, i(type) j(n)
append using tmp
save tmp, replace

u "${dir_inter}/tables/twoway_adm2_${v}_${type}_final", replace
keep if counter==1
string_p
keep p1 n
rename p1 var
g type=5
g coef=0
reshape wide var, i(type) j(n)
append using tmp
save tmp, replace

u "${dir_inter}/tables/adm2_${v}_${type}_final", replace
keep if counter==1
string_p
keep p1 n
rename p1 var
g type=6
g coef=0
reshape wide var, i(type) j(n)
append using tmp
save tmp, replace

u "${dir_inter}/tables/im_${v}_${type}_final", replace
keep if counter==1
string_ci
keep n ci21
rename ci21 var
g type=11
g coef=0
reshape wide var, i(type) j(n)
append using tmp 
save tmp, replace
edit

u "${dir_inter}/tables/country_${v}_${type}_final", replace
keep if counter==1
string_coef
keep coef2 n
rename coef2 var
g type=1
g coef=1
replace n=n*2
reshape wide var, i(type) j(n)
g var=1
append using tmp
save tmp, replace
edit

u "${dir_inter}/tables/country_${v}_${type}_final", replace
keep if counter==1
string_p
keep p2 n
rename p2 var
g type=1
g coef=0
replace n=n*2
reshape wide var, i(type) j(n)
g var=1
append using tmp
save tmp, replace


u "${dir_inter}/tables/twoway_adm1_${v}_${type}_final", replace
keep if counter==1
string_p
keep p2 n
rename p2 var
g type=3
g coef=0
replace n=n*2
reshape wide var, i(type) j(n)
g var=1
append using tmp
save tmp, replace

u "${dir_inter}/tables/twoway_adm1_${v}_${type}_final", replace
keep if counter==1
string_p
keep p2 n
rename p2 var
g type=4
g coef=0
replace n=n*2
reshape wide var, i(type) j(n)
g var=1
append using tmp
save tmp, replace

u "${dir_inter}/tables/adm1_${v}_${type}_final", replace
keep if counter==1
string_p
keep p2 n
rename p2 var
g type=5
g coef=0
replace n=n*2
reshape wide var, i(type) j(n)
g var=1
append using tmp
save tmp, replace


u "${dir_inter}/tables/adm2_${v}_${type}_final", replace
keep if counter==1
string_p
keep p2 n
rename p2 var
g type=6
g coef=0
replace n=n*2
reshape wide var, i(type) j(n)
g var=1
append using tmp
save tmp, replace


u "${dir_inter}/tables/im_${v}_${type}_final", replace
keep if counter==1
string_ci
keep ci22 n
rename ci22 var
g type=11
g coef=0
replace n=n*2
reshape wide var, i(type) j(n)
g var=1
append using tmp 
save tmp, replace
replace var=2 if var==.
sort var type -coef
replace type=0 if coef==1
order type var1 var2 


drop coef 
replace var1=var2 if var1==""
drop var2
gsort -var type
save tmp, replace
edit



gsort -var type
cap label drop type
label define type 0 "COEF" 
label define type 1 "clustered by country", add
label define type 3 "two-way clustered by adm1", add
label define type 4 "clustered by adm1", add
label define type 5 "two-way clustered by adm2", add
label define type 6 "clustered by adm2", add
label define type 11 "95% IM confidence interval", add
label define type 99 "", add
label values type type

label values type type

edit
save tmp, replace
edit



!rm tmp.dta



end


cap program drop final1
program define final1
global x1="pct_cov" 
global x2="covgdp_wb" 
global type="iv"
global type1="iv"
final
end

global v="ln_scad_pc"
final1
rename var1 var3
g n=_n
drop var
save tmpA, replace
edit 



global v="ln_acled_pc"
final1
rename var1 var2 
g n=_n
merge 1:1 n using  tmpA
drop _m
drop var
save tmpA, replace

global v="ln_gdelt_pc"
final1
g n=_n
merge 1:1 n using  tmpA
drop _m
drop n
drop var
order type var1 var2 var3
edit



replace type =100 if _n==1 
replace type =101 if _n==8 
label define type 100 "PCT", add
label define type 101 "PCT X GDP", add

edit
!rm tmp*.dta
export excel using "${dir_inter}/tables/t_A6_final", replace


cap program drop eraseall
program define eraseall
!rm "${dir_inter}/tables/country_${v}_${type}_final.dta"
!rm "${dir_inter}/tables/twoway_adm1_${v}_${type}_final.dta"
!rm "${dir_inter}/tables/adm2_${v}_${type}_final.dta"
!rm "${dir_inter}/tables/twoway_adm2_${v}_${type}_final.dta"
!rm "${dir_inter}/tables/adm1_${v}_${type}_final.dta"
!rm "${dir_inter}/tables/im_${v}_${type}_final.dta"
!rm "${dir_inter}/tables/bs_${v}_${type}_final.dta"
end

global v="ln_gdelt_pc"
eraseall
global v="ln_acled_pc"
eraseall
global v="ln_scad_pc"
eraseall
