*uses version of reghdfe 3.2.9 (21.2.16)
clear
version 14.0
mata: mata clear
set matsize 11000
macro drop _all
matrix drop _all
program drop _all
*global dir "/Users/ugte195/Dropbox (QMUL-SEF)/jdrive/papers"
*global dir "/Users/andreatesei/Dropbox"
global dir "O:\tew222\box\Dropbox"
*global dir "/home/ugte195"
global dir_inter "$dir/MOBILE PHONES/ECMA/final_submission/analysis"



set more 1
u  "$dir_inter/original_data/afro_clean", clear   
g  c=ltrim(country)
drop country
rename c country

*Respondents may be assigned probabilistically to more than one cell based on population. Computes number respondents
bysort newid: g resp =_n
*number of cells
bysort cell_id year: g cell =_n


*DUMMY VARIABLES DEFINED IN NEGATIVE TERMS 
*distrust politicians
for any pres: g d_X=(trust_X==0) if trust_X!=9 & !missing(trust_X) 

*dislike the work of politicians
for any pres: g dop_X=(op_X<=1) if op_X!=9

*worse personal state and state of the economy compared to previous year 
for any impr_ec_y impr_ec_c: replace X=. if X==9
for any impr_ec_y impr_ec_c: g dX=X<2 


*ADDITIONAL INDIVIDUAL CONTROLS 
replace age=age/100
g age2=age^2

g ded=0 if educ<=1
replace ded=3 if educ==2
replace ded=5 if educ==3
replace ded=6 if educ==4
replace ded=8 if educ==5
replace ded=12 if educ==6
replace ded=12 if educ==7
replace ded=14 if educ==8
replace ded=16 if educ==9

g unempl=(empl<=1)  
tab religion, g(drel)  //1 christian; 2 muslim; 3 other religion

g city=(urbrur==1)
replace city=. if urbrur==3

replace hh_adu=-999 if hh_adu==.
replace hh_adu=1 if hh_adu==1.1
g dhh_adu=(hh_adu<0) if !missing(hh_adu)

****************************************
*Predict mobile phone (and Internet) use
****************************************


global sizecontrols2="c.ln_pop_ip"
global nl="c.ln_nl3_mp_pc"
for any prec_gpcp temp_prio: replace X=ln(X)  
global climate="c.prec_gpcp c.temp_prio"   

global baseline1 border c.bdist2  c.pct_oil  c.cities c.frst d_frst c.mnt d_mnt  dmines d_dmines ddiam d_ddiam c.imr d_imr
global baseline2 capital c.capdist c.coastdist c.electr d_electr c.prim_road d_prim_road 
global otherbaseline dcoast c.lat c.lon c.totarea  
global baseline $baseline1 $baseline2 $otherbaseline 


global xlist0 i.cow i.year 
global xlist=""
global xlist1 cow##year 
cap drop tmp
global axlist c.year##adm1
local group $baseline
foreach i of local group{
global xlist  $xlist c.year#`i'
}
global xlist  $xlist $sizecontrols2 $nl $climate


global ic2="age age2 sex ded city drel* hh_adu dhh_adu" 
 

*ROUND 5   
xi: oprobit use_mobile_call  $ic2 $xlist0 pct_cov [aw=weight] , cluster(country)  

predict p0-p4
cap drop p
g p=p2+p3+p4

*qui su p, det
g pd_m=p>.5 & p!=. //predicted probability of using phone everyday is over 50%


*internet
 xi: oprobit news_internet  $ic2 $xlist0 pct_cov [aw=weight] , cluster(country)  

predict i0-i4
cap drop i
g i=i3+i4  

qui su i, det
g pd_i=i>.5 //predicted probability of using internet every day is over 50%


*22% of respondents in round 5 are predicted (based on socio-econ) not to use mobile phone although they do. 
replace pd_m=1 if use_mobile>1 & use_mobile!=.


 

*********************************************************************** 
 *INDIVIDUAL CORRELATES OF PROTEST PARTICIPATION AND MOBILE PHONE USE
***********************************************************************
  
   !rm "${dir_inter}/tables/t_B2_final.txt"
   !rm "${dir_inter}/tables/t_B2_final.tex"
   !rm "${dir_inter}/tables/t_B2_final.xml"
   
   
qui xi: areg act_prot age age2 sex ded city  hh_adu dhh_adu  i.year $xlist1 $xlist $axlist [aw=we],  a(cell) cluster(country)

local group  age age2 sex ded city  hh_adu

foreach c of local group {

boottest `c', noci   seed(121237)  boottype(wild) cluster(country)
local aux`c'=r(p) 

}



 *number respondents
count if act_prot!=. & resp==1  
local aux=r(N)
outreg2 using "${dir_inter}/tables/t_B2_final",  replace bdec(3) excel tex nonotes noaster noobs stats(coef ) adds(resp, `aux', boot age, `auxage',  boot age2, `auxage2', boot sex, `auxsex',  boot city, `auxcity',  boot hh_adu, `auxhh_adu', boot ded, `auxded' ) slow(700) keep(age age2 sex city  hh_adu ded) 
 

qui xi: oprobit use_mobile_call age age2 sex ded city  hh_adu dhh_adu   pct_cov  $xlist0 [aw=we], cluster(country)

local group  age age2 sex ded city  hh_adu pct_cov
foreach c of local group {
test `c'
local aux`c'=r(p) 

}

count if use_mobile_call!=. & resp==1  
local aux=r(N)
outreg2 using "${dir_inter}/tables/t_B2_final",  append bdec(3) excel tex nonotes noaster noobs stats(coef ) adds(resp, `aux', boot age, `auxage',  boot age2, `auxage2', boot sex, `auxsex',  boot city, `auxcity',  boot hh_adu, `auxhh_adu', boot ded, `auxded', boot pct_cov, `auxpct_cov' ) slow(700) keep(age age2 sex city  hh_adu ded pct_cov) 
